(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    301956,       7181]
NotebookOptionsPosition[    284092,       6602]
NotebookOutlinePosition[    289010,       6751]
CellTagsIndexPosition[    288821,       6742]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Panel", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"initializeButton", ",", "\[IndentingNewLine]", 
       RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "player1Panel", ",", "\[IndentingNewLine]", "player2Panel", ",", 
              "\[IndentingNewLine]", "labelPanel"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
             "latticePanel", ",", "\[IndentingNewLine]", "dynamicsPanel", ",",
               "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
             "infoPanel", ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}],
             ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
             "controlPanel", ",", "\[IndentingNewLine]", "SpanFromLeft"}], 
             "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"Alignment", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Panel", "[", "\[IndentingNewLine]", 
        RowBox[{"graph", ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Deploy", "[", 
        RowBox[{"Style", "[", 
         RowBox[{
         "\"\<Copyleft 2012 Panayotis Mertikopoulos; all wrongs \
reserved.\>\"", ",", "10"}], "]"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Spacings", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"3", "\[Rule]", "1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.5420585540871964`*^9, 3.5420586000388527`*^9}, {
   3.5421105378328257`*^9, 3.5421105955423403`*^9}, {3.542110634951091*^9, 
   3.542110727049406*^9}, {3.542110759447322*^9, 3.542110759802177*^9}, {
   3.542110831639361*^9, 3.5421109492783327`*^9}, {3.542110982277895*^9, 
   3.5421111354063177`*^9}, {3.542111339492803*^9, 3.542111385257618*^9}, {
   3.542111816022348*^9, 3.542111829294297*^9}, {3.5421123223419228`*^9, 
   3.5421123252047157`*^9}, {3.5421135343402863`*^9, 
   3.5421136932633057`*^9}, {3.542113758546722*^9, 3.542113820283057*^9}, {
   3.5421143105338707`*^9, 3.542114340986383*^9}, {3.542114383306031*^9, 
   3.5421144057186813`*^9}, {3.542115004040103*^9, 3.542115139689455*^9}, {
   3.54211519231247*^9, 3.5421151923943253`*^9}, {3.542115261423829*^9, 
   3.542115295133524*^9}, {3.542115365838571*^9, 3.5421154014787617`*^9}, {
   3.542115440499792*^9, 3.5421154765461073`*^9}, {3.5421155232381496`*^9, 
   3.542115570289955*^9}, {3.5421156295709257`*^9, 3.542115747307003*^9}, {
   3.542115791284258*^9, 3.542115791785906*^9}, {3.5421159675248003`*^9, 
   3.542115971613805*^9}, 3.54211709351404*^9, {3.542117230044651*^9, 
   3.5421172337760887`*^9}, {3.542117272099909*^9, 3.542117308444365*^9}, {
   3.5421173385373497`*^9, 3.5421173907269917`*^9}, {3.542117469719479*^9, 
   3.542117519464711*^9}, {3.542117939716501*^9, 3.542118070430689*^9}, {
   3.542118151282902*^9, 3.5421181518412237`*^9}, {3.542118367026382*^9, 
   3.542118384696457*^9}, {3.542118516123602*^9, 3.542118518149395*^9}, {
   3.542118568890245*^9, 3.5421186087224617`*^9}, {3.542119081973256*^9, 
   3.5421191495204687`*^9}, {3.542119185167354*^9, 3.542119193362013*^9}, {
   3.542119381512353*^9, 3.542119391797676*^9}, {3.542119621041375*^9, 
   3.542119661902767*^9}, {3.542119726893825*^9, 3.542119727340884*^9}, {
   3.5421209155004473`*^9, 3.542120963460058*^9}, {3.542125621882309*^9, 
   3.542125639019659*^9}, {3.542126004978813*^9, 3.542126012545094*^9}, {
   3.542127303159605*^9, 3.542127313833782*^9}, {3.5421273457978983`*^9, 
   3.542127351400581*^9}, {3.542142685087146*^9, 3.54214273768362*^9}, {
   3.542142903176056*^9, 3.542142903973692*^9}, {3.542142935357539*^9, 
   3.542143005409973*^9}, {3.542143407841455*^9, 3.542143441961378*^9}, {
   3.542143669044701*^9, 3.5421436735388117`*^9}, {3.54214570677203*^9, 
   3.542145728529726*^9}, {3.542203015674388*^9, 3.542203061367423*^9}, {
   3.542203093614917*^9, 3.542203097022573*^9}, {3.542206548176343*^9, 
   3.542206549438478*^9}, {3.542206584145616*^9, 3.542206585448607*^9}, {
   3.542206834025002*^9, 3.5422069761803493`*^9}, {3.5422070987555323`*^9, 
   3.542207215361088*^9}, {3.54220726699165*^9, 3.542207272071423*^9}, {
   3.542207308079439*^9, 3.5422073280852947`*^9}, {3.542207359885494*^9, 
   3.542207375756928*^9}, {3.542207454267036*^9, 3.542207464250944*^9}, {
   3.542207539736486*^9, 3.542207748605771*^9}, {3.542207779188987*^9, 
   3.542207780036681*^9}, {3.542208634388637*^9, 3.542208654515954*^9}, {
   3.542209102689047*^9, 3.5422091089126873`*^9}, {3.5422093673372097`*^9, 
   3.542209370856318*^9}, {3.5422110310001307`*^9, 3.5422110323717527`*^9}, {
   3.542212939617263*^9, 3.542212940072227*^9}, {3.54222648361651*^9, 
   3.5422264986796227`*^9}, {3.542349981798572*^9, 3.542349984535885*^9}, {
   3.54235079871896*^9, 3.5423507989202147`*^9}, {3.542351842780905*^9, 
   3.542351890554201*^9}, {3.542386626018628*^9, 3.542386630007731*^9}, {
   3.542390991983205*^9, 3.542391103570736*^9}, {3.542391142858564*^9, 
   3.5423911613135633`*^9}, {3.5424712049136467`*^9, 3.542471209232995*^9}, {
   3.542471496993499*^9, 3.542471665320381*^9}, {3.542471703025587*^9, 
   3.5424718422986183`*^9}, {3.542477585537002*^9, 3.5424775894143877`*^9}, {
   3.5424921956233597`*^9, 3.542492216708755*^9}, {3.542492310645035*^9, 
   3.542492467468687*^9}, {3.542492556502531*^9, 3.542492720574883*^9}, {
   3.542660489789028*^9, 3.542660491223798*^9}, {3.542866368350456*^9, 
   3.542866369469133*^9}, {3.542866455486684*^9, 3.542866464235372*^9}},
 CellTags->"GameSeer"],

Cell[BoxData[
 PanelBox[
  TagBox[GridBox[{
     {
      TagBox[
       ButtonBox[
        StyleBox["\<\"Initialize GameSeer\"\>",
         StripOnInput->False,
         FontFamily->"Palatino",
         FontSize->Large,
         FontWeight->Bold],
        Alignment->{Bottom, Bottom},
        Appearance->"DefaultButton",
        ButtonFunction:>(FrontEndExecute[
           FrontEndToken["EvaluateInitialization"]]; 
         NotebookLocate["GameSeer"]; FrontEndExecute[
           FrontEndToken["Evaluate"]]),
        Evaluator->Automatic,
        FrameMargins->7,
        Method->"Preemptive"],
       Deploy,
       DefaultBaseStyle->{Deployed -> True}]},
     {
      TagBox[
       TagBox[GridBox[{
          {
           TagBox[
            PanelBox[
             TagBox[GridBox[{
                {
                 StyleBox["\<\"Payoffs for Player 1\"\>",
                  StripOnInput->False,
                  FontWeight->Bold], "\[SpanFromLeft]"},
                {
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 1, 1, 1]],
                  ImageSize->{40, 25}], 
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 1, 1, 2]],
                  ImageSize->{40, 25}]},
                {
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 1, 2, 1]],
                  ImageSize->{40, 25}], 
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 1, 2, 2]],
                  ImageSize->{40, 25}]}
               },
               AutoDelete->False,
               BaseStyle->{FontFamily -> "Palatino", 13},
               GridBoxAlignment->{"Columns" -> {{Center}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               
               GridBoxSpacings->{
                "Columns" -> {{Automatic}}, "RowsIndexed" -> {2 -> 0.75}}],
              "Grid"],
             Alignment->{Left, Top},
             ImageSize->{150, 100}],
            Deploy,
            DefaultBaseStyle->{Deployed -> True}], 
           TagBox[
            PanelBox[
             TagBox[GridBox[{
                {
                 StyleBox["\<\"Payoffs for Player 2\"\>",
                  StripOnInput->False,
                  FontWeight->Bold], "\[SpanFromLeft]"},
                {
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 2, 1, 1]],
                  ImageSize->{40, 25}], 
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 2, 1, 2]],
                  ImageSize->{40, 25}]},
                {
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 2, 2, 1]],
                  ImageSize->{40, 25}], 
                 InputFieldBox[Dynamic[
                   Part[$CellContext`game, 2, 2, 2]],
                  ImageSize->{40, 25}]}
               },
               AutoDelete->False,
               BaseStyle->{FontFamily -> "Palatino", 13},
               GridBoxAlignment->{"Columns" -> {{Center}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               
               GridBoxSpacings->{
                "Columns" -> {{Automatic}}, "RowsIndexed" -> {2 -> 0.75}}],
              "Grid"],
             Alignment->{Left, Top},
             ImageSize->{150, 100}],
            Deploy,
            DefaultBaseStyle->{Deployed -> True}], 
           TagBox[
            PanelBox[
             TagBox[GridBox[{
                {
                 StyleBox["\<\"Plot Labels\"\>",
                  StripOnInput->False,
                  FontWeight->Bold], "\[SpanFromLeft]", "\[SpanFromLeft]", 
                 "\[SpanFromLeft]"},
                {
                 StyleBox["\<\"Title\"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`plotLabel], String,
                  FieldHint->"Plot Title",
                  ImageSize->{150, 25}], "\[SpanFromLeft]", "\[SpanFromLeft]"},
                {
                 StyleBox["\<\"x label\"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`xLabel], String,
                  FieldHint->"x label",
                  ImageSize->{44, 25}], 
                 StyleBox["\<\"y label\"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`yLabel], String,
                  FieldHint->"y label",
                  ImageSize->{45, 25}]}
               },
               AutoDelete->False,
               BaseStyle->{FontFamily -> "Palatino", 13},
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               
               GridBoxSpacings->{
                "Columns" -> {{1}}, "RowsIndexed" -> {2 -> 0.75}}],
              "Grid"],
             Alignment->{Left, Top},
             ImageSize->{230, 100}],
            Deploy,
            DefaultBaseStyle->{Deployed -> True}]},
          {
           TagBox[
            PanelBox[
             TagBox[GridBox[{
                {
                 StyleBox["\<\"Initial Points\"\>",
                  StripOnInput->False,
                  FontFamily->"Palatino",
                  FontSize->13,
                  FontWeight->Bold], "\[SpanFromLeft]", "\[SpanFromLeft]", 
                 "\[SpanFromLeft]"},
                {
                 StyleBox["\<\"dx\"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`dx],
                  ImageSize->{30, 25}], 
                 StyleBox["\<\"dy\"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`dy],
                  ImageSize->{30, 25}]},
                {
                 TagBox[GridBox[{
                    {
                    TagBox[
                    CheckboxBox[Dynamic[$CellContext`customLatticeQ]],
                    Deploy,
                    DefaultBaseStyle->{Deployed -> True}], "\<\"Custom\"\>"}
                   },
                   AutoDelete->False,
                   GridBoxAlignment->{"Rows" -> {{Baseline}}},
                   
                   GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                  "Grid"], "\[SpanFromLeft]", "\[SpanFromLeft]", 
                 "\[SpanFromLeft]"},
                {
                 TagBox[
                  ButtonBox[
                   StyleBox["\<\"Choose Points\"\>",
                    StripOnInput->False,
                    FontFamily->"Palatino"],
                   Appearance->Automatic,
                   ButtonFunction:>CreateWindow[
                    
                    DialogNotebook[$CellContext`customInitialConditionsDialog]\
],
                   Evaluator->Automatic,
                   Method->"Preemptive"],
                  Deploy,
                  DefaultBaseStyle->{Deployed -> True}], "\[SpanFromLeft]", 
                 "\[SpanFromLeft]", "\[SpanFromLeft]"}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               
               GridBoxSpacings->{
                "Columns" -> {{Automatic}}, 
                 "RowsIndexed" -> {2 -> 1, 3 -> 0.75, 4 -> 0}}],
              "Grid"],
             BaseStyle->{FontFamily -> "Palatino", 13},
             ImageSize->{150, 125}],
            Deploy,
            DefaultBaseStyle->{Deployed -> True}], 
           TagBox[
            PanelBox[
             TagBox[GridBox[{
                {
                 StyleBox["\<\"Dynamics Calculations\"\>",
                  StripOnInput->False,
                  FontWeight->Bold], "\[SpanFromLeft]", "\[SpanFromLeft]", 
                 "\[SpanFromLeft]"},
                {
                 StyleBox["\<\"Order   \"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InterpretationBox[
                  StyleBox[GridBox[{
                    {
                    SetterBox[Dynamic[$CellContext`order], {1}, "1"], 
                    SetterBox[Dynamic[$CellContext`order], {2}, "2"]}
                    },
                    BaselinePosition->{1, 1},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.]}, 
                    Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                    "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}, "RowsIndexed" -> {}}],
                   Deployed->True],
                  SetterBar[
                   Dynamic[$CellContext`order], {1, 2}]], 
                 PopupMenuBox[Dynamic[$CellContext`dynamics], {"Replicator"->
                  StyleBox["\<\"Replicator Dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "MaynardSmith"->
                  StyleBox["\<\"Maynard Smith Dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "Entropic"->
                  StyleBox["\<\"Entropy-Adjusted Dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "ImitativeLogit"->
                  StyleBox["\<\"Imitative Logit dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "Smith"->
                  StyleBox["\<\"Smith Dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "BNN"->
                  StyleBox["\<\"Brown\[Dash]von Neumann\[Dash]Nash\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "Logit"->
                  StyleBox["\<\"Logit dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12], "Custom"->
                  StyleBox["\<\"Custom dynamics\"\>",
                   StripOnInput->False,
                   FontFamily->"Palatino",
                   FontSize->12]},
                  ImageSize->{220, Automatic}], "\[SpanFromLeft]"},
                {
                 StyleBox["\<\"Temp. \"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`temperature],
                  ImageSize->{40, 20}], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`calculateRestpointsFlag]],StyleBox[
                   "\"Rest points\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TagBox[
                  ButtonBox[
                   StyleBox["\<\"Input Dynamics\"\>",
                    StripOnInput->False,
                    FontFamily->"Palatino"],
                   Appearance->Automatic,
                   
                   ButtonFunction:>(
                    CreateDialog[$CellContext`dynamics = 
                    "Custom"; $CellContext`CustomField[
                    Pattern[$CellContext`x, 
                    Blank[]], 
                    Pattern[$CellContext`y, 
                    
                    Blank[]]] := {$CellContext`xCustomField, \
$CellContext`yCustomField}; Grid[{{"\!\(\*SubscriptBox[\(V\), \(x\)]\) ", 
                    InputField[
                    Dynamic[$CellContext`xCustomField]]}, {
                    "\!\(\*SubscriptBox[\(V\), \(y\)]\) ", 
                    InputField[
                    Dynamic[$CellContext`yCustomField]]}, {
                    DefaultButton["Set Dynamics", 
                    
                    DialogReturn[{$CellContext`xCustomField, \
$CellContext`yCustomField}]], SpanFromLeft}}]]; $CellContext`CustomField[
                    Pattern[$CellContext`xx, 
                    Blank[]], 
                    Pattern[$CellContext`yy, 
                    Blank[]]] := 
                    ReplaceAll[{$CellContext`xCustomField, \
$CellContext`yCustomField}, {$CellContext`x -> $CellContext`xx, \
$CellContext`y -> $CellContext`yy}]),
                   Evaluator->Automatic,
                   Method->"Preemptive"],
                  Deploy,
                  DefaultBaseStyle->{Deployed -> True}]},
                {
                 StyleBox["\<\"Time  \"\>",
                  StripOnInput->False,
                  FontSize->12], 
                 InputFieldBox[Dynamic[$CellContext`time],
                  ImageSize->{40, 20}], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`calculateOrbitsFlag]],StyleBox[
                   "\"Orbits\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TagBox[
                  ButtonBox[
                   StyleBox["\<\"Update Graph\"\>",
                    StripOnInput->False,
                    FontFamily->"Palatino",
                    FontSize->14,
                    FontWeight->Bold],
                   Appearance->"DefaultButton",
                   
                   ButtonFunction:>(NotebookLocate["Update"]; 
                    FrontEndExecute[
                    FrontEndToken["Evaluate"]]; NotebookLocate["Update"]; 
                    FrontEndExecute[
                    FrontEndToken["OpenCloseGroup"]]; 
                    NotebookLocate["GameSeer"]; FrontEndExecute[
                    FrontEndToken["Evaluate"]]),
                   Evaluator->Automatic,
                   Method->"Preemptive"],
                  Deploy,
                  DefaultBaseStyle->{Deployed -> True}]}
               },
               AutoDelete->False,
               BaseStyle->{FontFamily -> "Palatino", 13},
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               
               GridBoxSpacings->{
                "ColumnsIndexed" -> {2 -> 0, 3 -> 2}, 
                 "RowsIndexed" -> {3 -> Rational[1, 2], 4 -> Rational[1, 4]}}],
              "Grid"],
             ImageSize->{Automatic, 125}],
            Deploy,
            DefaultBaseStyle->{Deployed -> True}], "\[SpanFromLeft]"},
          {
           PanelBox[
            TagBox[GridBox[{
               {
                DynamicBox[ToBoxes[
                  Style[
                   StringJoin[
                   "Equations of Motion (", $CellContext`dynamics, 
                    " dynamics)"], Bold], StandardForm],
                 ImageSizeCache->{256., {4., 10.}}], "\[SpanFromLeft]"},
               {
                TagBox[
                 FormBox[
                  RowBox[{
                   RowBox[{
                    SubscriptBox["V", "x"], "(", 
                    RowBox[{"x", ",", "y"}], ")"}], "\[LongEqual]", 
                   DynamicBox[ToBoxes[
                    Rationalize[
                    Part[
                    $CellContext`DisplayField[$CellContext`dynamics], 1]], 
                    TraditionalForm],
                    ImageSizeCache->{110., {4., 9.}}]}],
                  TraditionalForm],
                 TraditionalForm,
                 Editable->True], ""},
               {
                TagBox[
                 FormBox[
                  RowBox[{
                   RowBox[{
                    SubscriptBox["V", "y"], "(", 
                    RowBox[{"x", ",", "y"}], ")"}], "\[LongEqual]", 
                   DynamicBox[ToBoxes[
                    Rationalize[
                    Part[
                    $CellContext`DisplayField[$CellContext`dynamics], 2]], 
                    TraditionalForm],
                    ImageSizeCache->{101., {4., 9.}}]}],
                  TraditionalForm],
                 TraditionalForm,
                 Editable->True], ""}
              },
              AutoDelete->False,
              BaseStyle->{FontFamily -> "Palatino", 13},
              GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Top}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
              
              GridBoxSpacings->{
               "Columns" -> {{Automatic}}, "Rows" -> {{1.5}}}],
             "Grid"],
            ImageSize->{600, Automatic}], "\[SpanFromLeft]", 
           "\[SpanFromLeft]"},
          {
           TagBox[
            PanelBox[
             TagBox[GridBox[{
                {
                 StyleBox["\<\"Display and Output Options\"\>",
                  StripOnInput->False,
                  FontWeight->Bold], "\[SpanFromLeft]", "\[SpanFromLeft]", 
                 "\[SpanFromLeft]", "\[SpanFromLeft]"},
                {
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`boundaryFlag]],StyleBox[
                   "\"Boundary\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`gridFlag]],StyleBox[
                   "\"Gridlines\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`labelsFlag]],StyleBox[
                   "\"Game labels\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`equilibriumFlag]],StyleBox[
                   "\"Nash Equilibria\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TagBox[
                  ButtonBox[
                   StyleBox["\<\"Export data\"\>",
                    StripOnInput->False,
                    FontFamily->"Palatino"],
                   Appearance->Automatic,
                   
                   ButtonFunction:>(NotebookLocate["ExportData"]; 
                    FrontEndExecute[
                    FrontEndToken["Evaluate"]]; NotebookLocate["Export"]; 
                    FrontEndExecute[
                    FrontEndToken["OpenCloseGroup"]]; 
                    NotebookLocate["GameSeer"]; FrontEndExecute[
                    FrontEndToken["Evaluate"]]),
                   Evaluator->Automatic,
                   ImageSize->{100, Automatic},
                   Method->"Preemptive"],
                  Deploy,
                  DefaultBaseStyle->{Deployed -> True}]},
                {
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`latticeFlag]],StyleBox[
                   "\"Initial points\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`showRestpointsFlag]],StyleBox[
                   "\"Rest points\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`showVectorsFlag]],StyleBox[
                   "\"Vectors\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TemplateBox[{CheckboxBox[
                    Dynamic[$CellContext`showOrbitsFlag]],StyleBox[
                   "\"Orbits\"", StripOnInput -> False, FontFamily -> 
                    "Palatino", FontSize -> 12]},
                  "Row",
                  DisplayFunction->(RowBox[{#, "\[ThinSpace]", #2}]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                 TagBox[
                  ButtonBox[
                   StyleBox["\<\"Export plot\"\>",
                    StripOnInput->False,
                    FontFamily->"Palatino"],
                   Appearance->Automatic,
                   
                   ButtonFunction:>(NotebookLocate["ExportPlot"]; 
                    FrontEndExecute[
                    FrontEndToken["Evaluate"]]; NotebookLocate["Export"]; 
                    FrontEndExecute[
                    FrontEndToken["OpenCloseGroup"]]; 
                    NotebookLocate["GameSeer"]; FrontEndExecute[
                    FrontEndToken["Evaluate"]]),
                   Evaluator->Automatic,
                   ImageSize->{100, Automatic},
                   Method->"Preemptive"],
                  Deploy,
                  DefaultBaseStyle->{Deployed -> True}]}
               },
               AutoDelete->False,
               BaseStyle->{FontFamily -> "Palatino", 13},
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               
               GridBoxSpacings->{
                "Columns" -> {{2}}, "RowsIndexed" -> {2 -> 1}}],
              "Grid"],
             ImageSize->{600, Automatic}],
            Deploy,
            DefaultBaseStyle->{Deployed -> True}], "\[SpanFromLeft]", 
           "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Top}}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
         GridBoxSpacings->{"Columns" -> {{1}}, "Rows" -> {{1}}}],
        "Grid"],
       Deploy,
       DefaultBaseStyle->{Deployed -> True}]},
     {
      PanelBox[
       GraphicsBox[InsetBox[
         StyleBox["\<\"Choose game and dynamics parameters, then click on \
'Update Graph'.\\nControl the display options by checking the appropriate \
checkboxes.\\nTo restart, click on 'Initialize GameSeer'.\"\>",
          StripOnInput->False,
          FontFamily->"Palatino",
          FontSize->14], NCache[{Rational[1, 2], Rational[1, 2]}, {0.5, 0.5}]],
        Background->GrayLevel[1],
        BaseStyle->{FontFamily -> "Times", FontSize -> 14},
        Frame->True,
        FrameLabel->{{
           FormBox[
            StyleBox[
             DynamicBox[
              ToBoxes[$CellContext`yLabel, TraditionalForm]], FontSize -> 18, 
             StripOnInput -> False], TraditionalForm], None}, {
           FormBox[
            StyleBox[
             DynamicBox[
              ToBoxes[$CellContext`xLabel, TraditionalForm]], FontSize -> 18, 
             StripOnInput -> False], TraditionalForm], 
           FormBox[
            StyleBox[
             DynamicBox[
              ToBoxes[$CellContext`plotLabel, TraditionalForm]], Bold, 
             FontSize -> Large, StripOnInput -> False], TraditionalForm]}},
        ImageSize->Full,
        PlotRange->{{-0.02, 1.02}, {-0.02, 1.02}}],
       ImageSize->600]},
     {
      TagBox[
       StyleBox["\<\"Copyleft 2012 Panayotis Mertikopoulos; all wrongs \
reserved.\"\>",
        StripOnInput->False,
        FontSize->10],
       Deploy,
       DefaultBaseStyle->{Deployed -> True}]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "RowsIndexed" -> {3 -> 1}}],
   
   "Column"],
  BaseStyle->{FontFamily -> "Palatino", 13}]], "Output",
 CellChangeTimes->{
  3.542491554585854*^9, 3.5424921668759613`*^9, {3.5424922023488073`*^9, 
   3.542492217606853*^9}, {3.542492294307575*^9, 3.54249246783251*^9}, {
   3.5424925188646517`*^9, 3.54249272080907*^9}, 3.5424927512561207`*^9, 
   3.542492807571657*^9, {3.542492903029031*^9, 3.542492965687696*^9}, {
   3.542493010748893*^9, 3.5424931283921328`*^9}, 3.542493303480834*^9, 
   3.5424933596231003`*^9, {3.5424948821456738`*^9, 3.542494897348515*^9}, {
   3.542494948580574*^9, 3.542494958413821*^9}, {3.542494996282857*^9, 
   3.542495021937092*^9}, 3.542495069660102*^9, {3.542495101238556*^9, 
   3.542495150922213*^9}, {3.5424952229660053`*^9, 3.5424952446772842`*^9}, {
   3.542495275184863*^9, 3.542495278622492*^9}, {3.5424953423144712`*^9, 
   3.542495345500779*^9}, {3.542495451115695*^9, 3.54249548368782*^9}, 
   3.542496032456728*^9, {3.542496092591844*^9, 3.5424960963640957`*^9}, {
   3.542496152967*^9, 3.5424961814250107`*^9}, {3.542496217430743*^9, 
   3.5424962214948997`*^9}, {3.542519190999982*^9, 3.542519206085833*^9}, 
   3.5425198769638643`*^9, {3.542520873498467*^9, 3.542520885370779*^9}, 
   3.5425214511827908`*^9, {3.5425215645186768`*^9, 3.542521572455669*^9}, 
   3.542521605053627*^9, {3.542521858932213*^9, 3.5425218683402777`*^9}, {
   3.54252375114334*^9, 3.5425238161323967`*^9}, {3.54254646643335*^9, 
   3.542546509479994*^9}, 3.542547635663097*^9, {3.542547672276023*^9, 
   3.542547677051887*^9}, {3.542547786466835*^9, 3.542547801468359*^9}, {
   3.542547844221875*^9, 3.5425479140932426`*^9}, {3.542553223001676*^9, 
   3.5425532267258263`*^9}, {3.542553307165928*^9, 3.542553375517817*^9}, {
   3.542553536873372*^9, 3.542553582214644*^9}, {3.542553663945188*^9, 
   3.5425537387103*^9}, {3.5425540875279703`*^9, 3.542554104034224*^9}, 
   3.542608652077024*^9, {3.542609147509336*^9, 3.542609174039503*^9}, {
   3.542611162416658*^9, 3.542611243784051*^9}, {3.5426114446986923`*^9, 
   3.542611531085434*^9}, {3.542611582442751*^9, 3.542611642060424*^9}, {
   3.542611904065936*^9, 3.542611923803681*^9}, {3.542613332731422*^9, 
   3.5426133353460293`*^9}, 3.5426133765118723`*^9, {3.5426134075069447`*^9, 
   3.542613628776197*^9}, {3.5426151529221973`*^9, 3.5426151568765793`*^9}, 
   3.542616112440105*^9, {3.5426162824644747`*^9, 3.542616297650654*^9}, 
   3.5426167030219717`*^9, {3.542616733334584*^9, 3.5426167639577837`*^9}, 
   3.542616903107345*^9, {3.542616995048876*^9, 3.542617057811234*^9}, {
   3.542617190642419*^9, 3.542617206766337*^9}, {3.54261727146006*^9, 
   3.542617299809848*^9}, {3.542625359234125*^9, 3.542625367060295*^9}, {
   3.5426270780972967`*^9, 3.542627080840156*^9}, {3.542629914161845*^9, 
   3.542629919469359*^9}, {3.542630259034012*^9, 3.542630262301668*^9}, {
   3.542630315334258*^9, 3.542630330190905*^9}, {3.542630530602544*^9, 
   3.5426306522597713`*^9}, {3.542631262435474*^9, 3.542631273884151*^9}, {
   3.54263130416033*^9, 3.542631331432147*^9}, {3.542631399335554*^9, 
   3.542631483013198*^9}, {3.542631531043647*^9, 3.5426315335580683`*^9}, {
   3.542631576309243*^9, 3.542631629729802*^9}, {3.54263166589857*^9, 
   3.542631668124487*^9}, {3.542631741894496*^9, 3.5426317661754103`*^9}, {
   3.542631839425035*^9, 3.542631897776113*^9}, 3.542632605740283*^9, {
   3.542654035915942*^9, 3.542654041911511*^9}, {3.5426540819764147`*^9, 
   3.5426541058132544`*^9}, {3.542654142461134*^9, 3.542654266654811*^9}, {
   3.5426543401183453`*^9, 3.542654394519476*^9}, {3.542654444532154*^9, 
   3.542654502065363*^9}, 3.542656712201771*^9, 3.542658122514947*^9, 
   3.542658511027747*^9, {3.542659858814213*^9, 3.54265995079134*^9}, 
   3.542660170739287*^9, 3.542660395059737*^9, 3.542660492651812*^9, {
   3.54266055281257*^9, 3.542660569399926*^9}, 3.542660607420032*^9, {
   3.54266064028331*^9, 3.542660645096944*^9}, 3.542693820812253*^9, {
   3.542693855804837*^9, 3.542693859778019*^9}, {3.542694025577552*^9, 
   3.54269402906594*^9}, 3.542697173373362*^9, 3.542697340712118*^9, 
   3.542697835444397*^9, 3.542698006340119*^9, 3.542698119742003*^9, 
   3.5426981995191793`*^9, {3.542700527036076*^9, 3.542700541267785*^9}, 
   3.542700791187256*^9, {3.542701016867238*^9, 3.542701068948207*^9}, {
   3.542701122908353*^9, 3.542701135404189*^9}, {3.5427011918509607`*^9, 
   3.542701212735568*^9}, {3.542701250707116*^9, 3.542701256301023*^9}, 
   3.542701383057704*^9, {3.542701820139073*^9, 3.5427018494831057`*^9}, 
   3.542702095332901*^9, 3.542702137305079*^9, {3.542702179890835*^9, 
   3.542702186164765*^9}, 3.5427022783115187`*^9, 3.5427023900071*^9, 
   3.542702433728052*^9, 3.542712193912221*^9, 3.542714736028364*^9, 
   3.542715591211177*^9, 3.542718967303507*^9, {3.542787875109764*^9, 
   3.542787920824189*^9}, {3.542788145595983*^9, 3.54278819905098*^9}, {
   3.542788231882228*^9, 3.54278829491218*^9}, {3.542788347008071*^9, 
   3.542788395753706*^9}, 3.542795082777974*^9, 3.542801373710778*^9, 
   3.542801909446868*^9, 3.542802065801118*^9, 3.542802098846752*^9, {
   3.5428021405189257`*^9, 3.542802185953596*^9}, 3.542803555946054*^9, {
   3.5428038121112967`*^9, 3.5428038407787457`*^9}, 3.54280388118436*^9, 
   3.542806112924864*^9, 3.5428061967877827`*^9, 3.5428062283977747`*^9, {
   3.5428063228139133`*^9, 3.542806325843767*^9}, 3.5428064058077087`*^9, {
   3.542806435983308*^9, 3.5428064514580307`*^9}, {3.542808994064492*^9, 
   3.542809023716713*^9}, {3.542809060920055*^9, 3.5428090954629717`*^9}, {
   3.542809164354657*^9, 3.542809199532217*^9}, {3.542809296460381*^9, 
   3.542809316326507*^9}, 3.542809349135796*^9, 3.542809826987939*^9, 
   3.54280987237146*^9, 3.5428099063743963`*^9, 3.5428114050750504`*^9, 
   3.542816565864134*^9, 3.5428664816186047`*^9, 3.54287304235562*^9, 
   3.54287312256207*^9, 3.54287315335017*^9, {3.5428735937649813`*^9, 
   3.542873622973377*^9}, {3.542873654783524*^9, 3.5428736571106997`*^9}, 
   3.54287385253109*^9, {3.542873888661765*^9, 3.542873907459527*^9}, {
   3.542875707070776*^9, 3.542875729260763*^9}, 3.542875764160145*^9, 
   3.542875816525256*^9, 3.54287587719664*^9, 3.542875926148054*^9, 
   3.542875980256987*^9, {3.542876031040543*^9, 3.542876059078824*^9}, 
   3.5428763538448067`*^9, {3.542876410704636*^9, 3.542876432040861*^9}, {
   3.542878955008663*^9, 3.5428789945787563`*^9}, 3.542879025643561*^9, 
   3.542879123015551*^9, 3.5431771652521667`*^9, 3.543177199795424*^9, {
   3.5431772384995537`*^9, 3.5431772561869783`*^9}, {3.543177294598233*^9, 
   3.543177379807699*^9}, {3.543177412839582*^9, 3.5431774866027603`*^9}, {
   3.54317754376978*^9, 3.543177596323125*^9}, {3.543177796013741*^9, 
   3.5431778099113827`*^9}, {3.543177844951421*^9, 3.54317789740106*^9}, {
   3.543178051367869*^9, 3.543178073194191*^9}, 3.543178132272788*^9, {
   3.543178168442288*^9, 3.5431782354281273`*^9}, {3.5431782799328814`*^9, 
   3.543178343958922*^9}, 3.543178383732481*^9, {3.543178421372979*^9, 
   3.5431785210283747`*^9}, {3.543178552060727*^9, 3.543178562348509*^9}, {
   3.5431786150860147`*^9, 3.54317863672429*^9}, 3.543398052468441*^9, {
   3.544127667272534*^9, 3.5441277112901087`*^9}, 3.544127797676194*^9, 
   3.6032777249233227`*^9, {3.603278492805593*^9, 3.603278504219997*^9}, {
   3.603278574677135*^9, 3.60327859242152*^9}, {3.603278660479948*^9, 
   3.603278690155128*^9}, 3.603278722827054*^9, {3.603278758820284*^9, 
   3.603279247623637*^9}, {3.603279291122662*^9, 3.603279367175407*^9}, {
   3.6032794650965633`*^9, 3.603279475637993*^9}, 3.6033637205895433`*^9},
 CellTags->"GameSeer"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Function Library", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.541971272723722*^9, 3.541971274712233*^9}, {
   3.541971316382093*^9, 3.541971318698976*^9}, {3.541971388646249*^9, 
   3.541971390091364*^9}, 3.542116103083325*^9, {3.5421980927556067`*^9, 
   3.5421980968834457`*^9}, {3.542441135995779*^9, 3.542441138400098*^9}, {
   3.542442248034959*^9, 3.542442252600121*^9}}],

Cell[CellGroupData[{

Cell["Basic Functions", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542303686809185*^9, 3.542303690342774*^9}, {
  3.5423804724371023`*^9, 3.542380475117423*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Expit", "[", "x_", "]"}], ":=", 
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"Exp", "[", 
       RowBox[{"-", "x"}], "]"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Logit", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Log", "[", "x", "]"}], "-", 
    RowBox[{"Log", "[", 
     RowBox[{"1", "-", "x"}], "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542020287682714*^9, 3.542020288110579*^9}, {
  3.5420203220767593`*^9, 3.5420203228177357`*^9}, {3.5421788674988194`*^9, 
  3.5421788718402042`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Property Tags", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542313451332674*^9, 3.54231346137263*^9}, {
  3.542313568492833*^9, 3.542313617155815*^9}, {3.542519597068871*^9, 
  3.542519601680994*^9}, {3.542519861445312*^9, 3.542519862284677*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitationQ", "[", "dynamics_String", "]"}], ":=", "False"}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542313463566072*^9, 3.542313497505618*^9}, {
   3.542313690465787*^9, 3.542313696873582*^9}, {3.542313841347486*^9, 
   3.5423138460322437`*^9}, 3.542313901614451*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"OnlyInteriorRestpointsQ", "[", "dynamics_String", "]"}], ":=", 
   "False"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542519612018441*^9, 3.542519634707301*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Brown\[Dash]von Neumann\[Dash]Nash dynamics\
\>", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542313914772079*^9, 3.5423139467305117`*^9}, {
  3.542316598682871*^9, 3.542316626064137*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"BNNField", "[", 
    RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "x"}], ")"}], "2"], 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}]}], "+", 
        RowBox[{
         SuperscriptBox["x", "2"], 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "y"}], ")"}], "2"], 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}]}], "+", 
        RowBox[{
         SuperscriptBox["y", "2"], 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}]}]}]}], "}"}]}],
     "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542318303751511*^9, 3.542318383390707*^9}, 
   3.542318764920391*^9, {3.542318849499695*^9, 3.542318902076037*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"BNNScoreField", "[", 
    RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "x"}], "x"], 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}]}], "+", 
        RowBox[{
         FractionBox["x", 
          RowBox[{"1", "-", "x"}]], 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "y"}], "y"], 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}]}], "+", 
        RowBox[{
         FractionBox["y", 
          RowBox[{"1", "-", "y"}]], 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}]}]}]}], "}"}]}],
     "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542315309369158*^9, 3.542315324044086*^9}, {
  3.542315443097683*^9, 3.54231553290939*^9}, {3.5423166337210712`*^9, 
  3.542316633944727*^9}, {3.542316876454941*^9, 3.542316897883216*^9}, {
  3.542317955082191*^9, 3.542317978417334*^9}, {3.542318924878254*^9, 
  3.5423189693822327`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Entropic dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5423036932634773`*^9, 3.542303702438805*^9}, {
  3.5423805000729027`*^9, 3.5423805009761047`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EntropicField", "[", 
   RowBox[{"game_", ",", "vec_", ",", 
    RowBox[{"temperature_:", "1"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U1", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      
      RowBox[{"U2", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"y", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"1", "-", "y"}]}], "}"}]}], "-", 
         RowBox[{"temperature", " ", 
          RowBox[{"Logit", "[", "x", "]"}]}]}], ")"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"y", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "-", 
         RowBox[{"temperature", " ", 
          RowBox[{"Logit", "[", "y", "]"}]}]}], ")"}]}]}], "}"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5245101023733273`*^9, 3.524510168324913*^9}, 
   3.538436485238579*^9, {3.541704798220435*^9, 3.5417047994842043`*^9}, {
   3.5420208931325617`*^9, 3.542020893745192*^9}, 3.542266738963688*^9, {
   3.542266866249744*^9, 3.5422668765301847`*^9}, 3.542303717048437*^9, {
   3.542380360732979*^9, 3.54238036165062*^9}, {3.542380436307044*^9, 
   3.542380452564468*^9}, {3.542380492232773*^9, 3.542380523510167*^9}, {
   3.54238088453806*^9, 3.5423808894399242`*^9}, {3.542380932222437*^9, 
   3.542380934918127*^9}, {3.542381649288828*^9, 3.542381650862515*^9}, {
   3.542381964174756*^9, 3.542381965716208*^9}, {3.5423839341694727`*^9, 
   3.542383966768299*^9}, {3.5423898959241056`*^9, 3.542389913417308*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EntropicScoreField", "[", 
   RowBox[{"game_", ",", "vec_", ",", 
    RowBox[{"temperature_:", "1"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U1", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      
      RowBox[{"U2", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"y", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"1", "-", "y"}]}], "}"}]}], "-", 
       RowBox[{"temperature", " ", 
        RowBox[{"Logit", "[", "x", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "-", 
       RowBox[{"temperature", " ", 
        RowBox[{"Logit", "[", "y", "]"}]}]}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54213913375734*^9, 3.542139190948094*^9}, 
   3.5422667389639273`*^9, {3.542266848802086*^9, 3.542266862970065*^9}, 
   3.542303717048667*^9, {3.542380751400766*^9, 3.5423807654565287`*^9}, {
   3.542381655621874*^9, 3.542381657454027*^9}, {3.5423819688360777`*^9, 
   3.542381970427594*^9}, {3.542389926600019*^9, 3.5423899391200743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitationQ", "[", "\"\<Entropic\>\"", "]"}], ":=", "True"}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542313544326695*^9, 3.542313554728385*^9}, {
   3.5423136260551977`*^9, 3.5423136264622993`*^9}, 3.542313895694727*^9, {
   3.542380925285137*^9, 3.5423809261785507`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"OnlyInteriorRestpointsQ", "[", "\"\<Entropic\>\"", "]"}], ":=", 
   "True"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542519773434087*^9, 3.542519810768458*^9}, {
  3.542519845138773*^9, 3.542519846008648*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Imitative Logit dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542313914772079*^9, 3.5423139467305117`*^9}, {
  3.542316598682871*^9, 3.542316626064137*^9}, {3.542347280506061*^9, 
  3.542347286880948*^9}, {3.543176040374857*^9, 3.543176042875317*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitativeLogitField", "[", 
    RowBox[{"game_", ",", "vec_", ",", 
     RowBox[{"temperature_:", "1"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["x", 
         RowBox[{"x", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "x"}], ")"}], 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "1"}], "}"}], ".", "U1", ".", 
              RowBox[{"{", 
               RowBox[{"y", ",", 
                RowBox[{"1", "-", "y"}]}], "}"}]}], "/", "temperature"}], 
            "]"}]}]}]], "-", "x"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        FractionBox["y", 
         RowBox[{"y", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "y"}], ")"}], 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", 
                RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "/", "temperature"}],
             "]"}]}]}]], "-", "y"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542318303751511*^9, 3.542318383390707*^9}, 
   3.542318764920391*^9, {3.542318849499695*^9, 3.542318902076037*^9}, {
   3.5423472932262287`*^9, 3.542347309328266*^9}, {3.542347481822439*^9, 
   3.542347516898802*^9}, {3.542441774871449*^9, 3.542441778252508*^9}, {
   3.542441946148059*^9, 3.5424419615554934`*^9}, {3.543176045579918*^9, 
   3.5431760479147053`*^9}, {3.543176285121785*^9, 3.543176297727378*^9}, {
   3.543176405463881*^9, 3.5431764585742598`*^9}, {3.54317772032047*^9, 
   3.543177731102007*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitativeLogitScoreField", "[", 
    RowBox[{"game_", ",", "vec_", ",", 
     RowBox[{"temperature_:", "1"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"1", "-", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], "/", "temperature"}], 
          "]"}]}], 
        RowBox[{"x", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "x"}], ")"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "1"}], "}"}], ".", "U1", ".", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"1", "-", "y"}]}], "}"}]}], "/", "temperature"}], 
           "]"}]}]}]], ",", "\[IndentingNewLine]", 
       FractionBox[
        RowBox[{"1", "-", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "/", "temperature"}], 
          "]"}]}], 
        RowBox[{"y", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "y"}], ")"}], 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "/", "temperature"}], 
           "]"}]}]}]]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542315309369158*^9, 3.542315324044086*^9}, {
   3.542315443097683*^9, 3.54231553290939*^9}, {3.5423166337210712`*^9, 
   3.542316633944727*^9}, {3.542316876454941*^9, 3.542316897883216*^9}, {
   3.542317955082191*^9, 3.542317978417334*^9}, {3.542318924878254*^9, 
   3.5423189693822327`*^9}, {3.5423472980766706`*^9, 3.5423472985257607`*^9}, 
   3.542347530820277*^9, {3.542441780893119*^9, 3.542441816930873*^9}, 
   3.542441937260126*^9, {3.543176051114504*^9, 3.543176052282305*^9}, {
   3.5431768815045567`*^9, 3.543176946980206*^9}, {3.543177741406516*^9, 
   3.543177773693171*^9}, {3.543178023729062*^9, 3.5431780325916023`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitationQ", "[", "\"\<ImitativeLogit\>\"", "]"}], ":=", "True"}],
   ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542519773434087*^9, 3.542519810768458*^9}, {
  3.543176068189456*^9, 3.5431760757729816`*^9}, {3.543177779974209*^9, 
  3.543177780573691*^9}, {3.543177888231687*^9, 3.543177888732848*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Maynard Smith dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542303696863255*^9, 3.542303699766799*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MaynardSmithField", "[", 
   RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U1", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      
      RowBox[{"U2", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"y", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"1", "-", "y"}]}], "}"}]}], "/", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"1", "-", "x"}]}], "}"}], ".", "U1", ".", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"1", "-", "y"}]}], "}"}]}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"y", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}], 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"-", "1"}]}], "}"}]}], "/", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"1", "-", "y"}]}], "}"}]}]}]}]}], "}"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54226675010467*^9, 3.54226676128442*^9}, {
  3.542266804981786*^9, 3.54226684525671*^9}, {3.54226688544728*^9, 
  3.542266927123391*^9}, {3.542266973255227*^9, 3.5422669934975986`*^9}, {
  3.5423039281417913`*^9, 3.542303930109322*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MaynardSmithScoreField", "[", 
   RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U1", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      
      RowBox[{"U2", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"y", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"1", "-", "y"}]}], "}"}]}], "/", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"1", "-", "x"}]}], "}"}], ".", "U1", ".", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"1", "-", "y"}]}], "}"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "/", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"1", "-", "y"}]}], "}"}]}]}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542267010435812*^9, 3.54226704503869*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitationQ", "[", "\"\<MaynardSmith\>\"", "]"}], ":=", "True"}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542313544326695*^9, 3.542313554728385*^9}, {
  3.5423136260551977`*^9, 3.5423136264622993`*^9}, {3.542313885273974*^9, 
  3.542313905637384*^9}, {3.543177218365893*^9, 3.543177218866411*^9}, {
  3.543177275813015*^9, 3.543177276225292*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Logit dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542313914772079*^9, 3.5423139467305117`*^9}, {
  3.542316598682871*^9, 3.542316626064137*^9}, {3.542347280506061*^9, 
  3.542347286880948*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LogitField", "[", 
    RowBox[{"game_", ",", "vec_", ",", 
     RowBox[{"temperature_:", "1"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Expit", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"1", "-", "y"}]}], "}"}]}], "/", "temperature"}], "]"}], 
        "-", "x"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Expit", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "/", "temperature"}], "]"}], "-", 
        "y"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542318303751511*^9, 3.542318383390707*^9}, 
   3.542318764920391*^9, {3.542318849499695*^9, 3.542318902076037*^9}, {
   3.5423472932262287`*^9, 3.542347309328266*^9}, {3.542347481822439*^9, 
   3.542347516898802*^9}, {3.542441774871449*^9, 3.542441778252508*^9}, {
   3.542441946148059*^9, 3.5424419615554934`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LogitScoreField", "[", 
    RowBox[{"game_", ",", "vec_", ",", 
     RowBox[{"temperature_:", "1"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Expit", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"1", "-", "y"}]}], "}"}]}], "/", "temperature"}], "]"}], 
        "-", "x"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Expit", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "/", "temperature"}], "]"}], "-", 
        "y"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542315309369158*^9, 3.542315324044086*^9}, {
   3.542315443097683*^9, 3.54231553290939*^9}, {3.5423166337210712`*^9, 
   3.542316633944727*^9}, {3.542316876454941*^9, 3.542316897883216*^9}, {
   3.542317955082191*^9, 3.542317978417334*^9}, {3.542318924878254*^9, 
   3.5423189693822327`*^9}, {3.5423472980766706`*^9, 3.5423472985257607`*^9}, 
   3.542347530820277*^9, {3.542441780893119*^9, 3.542441816930873*^9}, 
   3.542441937260126*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"OnlyInteriorRestpointsQ", "[", "\"\<Logit\>\"", "]"}], ":=", 
   "True"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542519773434087*^9, 3.542519810768458*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Replicator dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5423036932634773`*^9, 3.542303702438805*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReplicatorField", "[", 
   RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U1", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      
      RowBox[{"U2", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"y", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"1", "-", "y"}]}], "}"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"y", 
       RowBox[{"(", 
        RowBox[{"1", "-", "y"}], ")"}], 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}]}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5245101023733273`*^9, 3.524510168324913*^9}, 
   3.538436485238579*^9, {3.541704798220435*^9, 3.5417047994842043`*^9}, {
   3.5420208931325617`*^9, 3.542020893745192*^9}, 3.542266738963688*^9, {
   3.542266866249744*^9, 3.5422668765301847`*^9}, 3.542303717048437*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReplicatorScoreField", "[", 
   RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U1", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      
      RowBox[{"U2", "=", 
       RowBox[{
       "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"y", "=", 
       RowBox[{
       "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54213913375734*^9, 3.542139190948094*^9}, 
   3.5422667389639273`*^9, {3.542266848802086*^9, 3.542266862970065*^9}, 
   3.542303717048667*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ImitationQ", "[", "\"\<Replicator\>\"", "]"}], ":=", "True"}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542313544326695*^9, 3.542313554728385*^9}, {
   3.5423136260551977`*^9, 3.5423136264622993`*^9}, 3.542313895694727*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Smith dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542313914772079*^9, 3.5423139467305117`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SmithField", "[", 
    RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}], 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}]}], "+", 
        RowBox[{"x", " ", 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "y"}], ")"}], 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}]}], "+", 
        RowBox[{"y", " ", 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}]}]}]}], "}"}]}],
     "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542313954616448*^9, 3.542313978389592*^9}, {
   3.542315254844419*^9, 3.542315306778385*^9}, 3.5423154595253963`*^9, {
   3.542319600735299*^9, 3.5423196441204977`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SmithScoreField", "[", 
    RowBox[{"game_", ",", "vec_"}], "]"}], ":=", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"U1", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"U2", "=", 
        RowBox[{
        "game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       
       RowBox[{"y", "=", 
        RowBox[{
        "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}], "/", 
         "x"}], "+", " ", 
        RowBox[{
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ".", "U1", ".", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"1", "-", "y"}]}], "}"}]}], ",", "0"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}], "/", "y"}], 
        "+", " ", 
        RowBox[{
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"1", "-", "x"}]}], "}"}], ".", "U2", ".", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], ",", "0"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "y"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542315309369158*^9, 3.542315324044086*^9}, {
  3.542315443097683*^9, 3.54231553290939*^9}, {3.542319654476186*^9, 
  3.5423196876467257`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamics display", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542441144001021*^9, 3.5424411461046143`*^9}, {
  3.542441318180499*^9, 3.542441320098922*^9}, {3.542441391162504*^9, 
  3.5424413913386583`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DisplayField", "[", "dynamics_", "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Switch", "[", "\[IndentingNewLine]", 
      RowBox[{
      "dynamics", ",", "\[IndentingNewLine]", "\"\<Replicator\>\"", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ReplicatorField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<MaynardSmith\>\"", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"MaynardSmithField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<Entropic\>\"", ",", "\[IndentingNewLine]", 
       
       RowBox[{"EntropicField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "temperature"}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<Smith\>\"", ",", "\[IndentingNewLine]", 
       RowBox[{"SmithField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<BNN\>\"", ",", "\[IndentingNewLine]", 
       RowBox[{"BNNField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<Logit\>\"", ",", "\[IndentingNewLine]", 
       RowBox[{"LogitField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "temperature"}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<ImitativeLogit\>\"", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImitativeLogitField", "[", 
        RowBox[{"game", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "temperature"}], "]"}], ",", 
       "\[IndentingNewLine]", "\"\<Custom\>\"", ",", "\[IndentingNewLine]", 
       RowBox[{"CustomField", "[", 
        RowBox[{"x", ",", "y"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
      RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542441335272547*^9, 3.5424413449765873`*^9}, {
  3.5424418802391243`*^9, 3.5424418888310432`*^9}, {3.5424912415533447`*^9, 
  3.542491250992799*^9}, {3.543176997962276*^9, 3.543177007826655*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Initialization and Controls", "Section"]], "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.541974310922262*^9, 3.541974313030478*^9}, {
   3.5419744145763893`*^9, 3.541974452667996*^9}, {3.5420178595760937`*^9, 
   3.542017864087696*^9}, {3.542019954214432*^9, 3.542019959795026*^9}, 
   3.542116100466074*^9, {3.5422127216514893`*^9, 3.542212725650701*^9}, {
   3.542547737502049*^9, 3.54254774342096*^9}, {3.542608663176807*^9, 
   3.54260866761467*^9}, {3.5426112562522173`*^9, 3.542611256482264*^9}}],

Cell[CellGroupData[{

Cell["Game", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5419743367211857`*^9, 3.541974341813764*^9}, {
  3.542212729858677*^9, 3.542212730002334*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"game", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"game", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
   "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"game", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
   "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542020174314948*^9, 3.5420201856555862`*^9}, {
  3.5423200514992647`*^9, 3.542320058008642*^9}, {3.542320174782818*^9, 
  3.542320180885272*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamics", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.54202213369274*^9, 3.542022141186051*^9}, {
  3.5420250430169773`*^9, 3.542025045222561*^9}, {3.542195500650127*^9, 
  3.542195503553554*^9}, {3.5422127317625713`*^9, 3.5422127319383307`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dynamics", "=", "\"\<Replicator\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"order", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"temperature", "=", "1"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5421401911043253`*^9, 3.542140210873048*^9}, {
   3.5421402452452993`*^9, 3.5421402657724524`*^9}, {3.542196228063403*^9, 
   3.542196228352956*^9}, 3.542196628705574*^9, 3.542216984736763*^9, 
   3.542313535096403*^9, {3.5423200657035227`*^9, 3.5423200662708063`*^9}, {
   3.542371058217999*^9, 3.542371062183412*^9}, {3.542371125081058*^9, 
   3.5423711261742363`*^9}, {3.542383600622986*^9, 3.542383603142366*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xDisplayField", "=", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Rationalize", "[", 
     RowBox[{
      RowBox[{"DisplayField", "[", "dynamics", "]"}], "\[LeftDoubleBracket]", 
      "1", "\[RightDoubleBracket]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yDisplayField", "=", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Rationalize", "[", 
     RowBox[{
      RowBox[{"DisplayField", "[", "dynamics", "]"}], "\[LeftDoubleBracket]", 
      "2", "\[RightDoubleBracket]"}], "]"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54244145012958*^9, 3.542441451018743*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xCustomField", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yCustomField", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CustomField", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"xCustomField", ",", "yCustomField"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CustomScoreField", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"xCustomField", ",", "yCustomField"}], "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542375336044526*^9, 3.542375351148118*^9}, {
  3.5426584708265867`*^9, 3.542658492937965*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"time", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resolution", "=", "300"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotclip", "=", "20."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotchop", "=", 
   RowBox[{"10", "^", 
    RowBox[{"-", "6"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541975191994878*^9, 3.541975193698069*^9}, {
   3.542021001617247*^9, 3.542021016785056*^9}, {3.5421390211265097`*^9, 
   3.5421390322655993`*^9}, {3.5421955327270184`*^9, 
   3.5421955733393993`*^9}, {3.542196262506853*^9, 3.5421963239659863`*^9}, 
   3.542196477962215*^9, {3.542196964716037*^9, 3.54219697908307*^9}, {
   3.542214585814818*^9, 3.542214589067752*^9}, 3.542320079814968*^9, 
   3.542447684959153*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Bounding box", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5419734159091454`*^9, 3.54197342131584*^9}, {
   3.541973537157105*^9, 3.5419735377367573`*^9}, {3.5419736599430017`*^9, 
   3.541973684868115*^9}, {3.542125394341058*^9, 3.5421253945248737`*^9}, {
   3.542206460529257*^9, 3.542206468671153*^9}, {3.542209266177706*^9, 
   3.542209267070153*^9}, {3.542608928140708*^9, 3.5426089298906107`*^9}, 
   3.54260968957052*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"boundaryFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"boundary", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542816452031179*^9, 3.5428164560389957`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"boundaryColor", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"boundaryThickness", "=", "1"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5426091929830093`*^9, 3.542609229176264*^9}, {
   3.542694181999494*^9, 3.542694182366912*^9}, 3.542803872763727*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Labels", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.54261091708488*^9, 3.542610917712886*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"labelsFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"labels", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5424919305531673`*^9, 3.5424919527500753`*^9}, {
  3.542492532590744*^9, 3.542492533101256*^9}, {3.54260929823291*^9, 
  3.542609298990424*^9}, {3.542609331233819*^9, 3.542609332029551*^9}, {
  3.542609450734927*^9, 3.5426094520193567`*^9}, {3.54260954893285*^9, 
  3.542609550402473*^9}, {3.542609942944941*^9, 3.542609959132731*^9}, {
  3.542610586876308*^9, 3.542610588129334*^9}, {3.542816439896532*^9, 
  3.5428164429623117`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"plotLabel", "=", "\"\<Plot Title\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xLabel", " ", "=", " ", "\"\<x\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yLabel", " ", "=", " ", "\"\<y\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"frameLabel", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "yLabel", "]"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "None"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "xLabel", "]"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "plotLabel", "]"}], ",", "Bold", ",", 
         RowBox[{"FontSize", "\[Rule]", "Large"}]}], "]"}]}], "}"}]}], 
    "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542373091002078*^9, 3.542373104312923*^9}, {
  3.5423732533067904`*^9, 3.542373268635344*^9}, {3.542609126699435*^9, 
  3.542609156297408*^9}, {3.542816427677113*^9, 3.542816436361974*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Initial points", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.541974364831853*^9, 3.541974385853269*^9}, {
  3.542010199422696*^9, 3.542010200428686*^9}, {3.542212733586438*^9, 
  3.542212733890547*^9}, {3.542609686148634*^9, 3.542609686610223*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"latticeFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lattice", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542816471550687*^9, 3.542816474782412*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dx", "=", ".2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dy", "=", ".2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"standardLatticePoints", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rationalize", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "1", ",", "dx"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "0", ",", "1", ",", "dy"}], "}"}]}], "]"}], ",", 
     "1"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541975191994878*^9, 3.541975193698069*^9}, {
  3.542112730457465*^9, 3.54211273159135*^9}, {3.542178910382303*^9, 
  3.542178911405713*^9}, {3.5423207027074003`*^9, 3.542320753267448*^9}, {
  3.542320792923346*^9, 3.542320804315309*^9}, {3.542320871866593*^9, 
  3.5423208754725533`*^9}, {3.542383790367882*^9, 3.5423837923068647`*^9}, {
  3.5423919576003942`*^9, 3.5423919584800987`*^9}, {3.542398934409782*^9, 
  3.542399000975399*^9}, {3.5423993317567472`*^9, 3.542399333880912*^9}, {
  3.542399899960147*^9, 3.542399904222467*^9}, {3.542400113309901*^9, 
  3.542400137857005*^9}, {3.5424005924620237`*^9, 3.542400600101801*^9}, {
  3.542464026922608*^9, 3.542464093836746*^9}, {3.54246440720671*^9, 
  3.542464407742413*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dxCustom", "=", ".1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dyCustom", "=", ".1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nRandomPoints", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"customLatticePoints", "=", "standardLatticePoints"}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541975191994878*^9, 3.541975193698069*^9}, {
  3.542112730457465*^9, 3.54211273159135*^9}, {3.542178910382303*^9, 
  3.542178911405713*^9}, {3.5423207027074003`*^9, 3.542320753267448*^9}, {
  3.542320792923346*^9, 3.542320804315309*^9}, {3.542320871866593*^9, 
  3.5423208754725533`*^9}, {3.542383790367882*^9, 3.5423837923068647`*^9}, {
  3.5423919576003942`*^9, 3.5423919584800987`*^9}, {3.542398934409782*^9, 
  3.542399000975399*^9}, {3.5423993317567472`*^9, 3.542399333880912*^9}, {
  3.542399899960147*^9, 3.542399904222467*^9}, {3.542400113309901*^9, 
  3.542400137857005*^9}, {3.5424005924620237`*^9, 3.542400600101801*^9}, {
  3.542464026922608*^9, 3.542464093836746*^9}, {3.5424643814105988`*^9, 
  3.542464384800714*^9}, {3.542464419494199*^9, 3.542464423245727*^9}, {
  3.5424646088529453`*^9, 3.5424646090834503`*^9}, {3.544127656660207*^9, 
  3.544127657773801*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"customLatticeQ", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"latticePoints", "=", "standardLatticePoints"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541975191994878*^9, 3.541975193698069*^9}, {
  3.542112730457465*^9, 3.54211273159135*^9}, {3.542178910382303*^9, 
  3.542178911405713*^9}, {3.5423207027074003`*^9, 3.542320753267448*^9}, {
  3.542320792923346*^9, 3.542320804315309*^9}, {3.542320871866593*^9, 
  3.5423208754725533`*^9}, {3.542383790367882*^9, 3.5423837923068647`*^9}, {
  3.5423919576003942`*^9, 3.5423919584800987`*^9}, {3.542398934409782*^9, 
  3.542399000975399*^9}, {3.5423993317567472`*^9, 3.542399333880912*^9}, {
  3.542399899960147*^9, 3.542399904222467*^9}, {3.542400113309901*^9, 
  3.542400137857005*^9}, {3.5424005924620237`*^9, 3.542400600101801*^9}, {
  3.542464026922608*^9, 3.542464093836746*^9}, {3.54246441474343*^9, 
  3.5424644155015297`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"latticePointColor", "=", 
   RowBox[{"Darker", "[", "Gray", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"latticePointStyle", "=", 
   RowBox[{"{", 
    RowBox[{"latticePointColor", ",", 
     RowBox[{"PointSize", "[", "Medium", "]"}]}], "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54260942142688*^9, 3.542609428607445*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Gridlines", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.541974364831853*^9, 3.541974385853269*^9}, {
  3.542010199422696*^9, 3.542010200428686*^9}, {3.5420177110666018`*^9, 
  3.542017717970089*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"gridFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grid", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542816482599557*^9, 3.542816484928855*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"gridColor", "=", 
   RowBox[{"Darker", "[", "Gray", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gridStyle", "=", 
   RowBox[{"{", 
    RowBox[{"DotDashed", ",", "gridColor", ",", 
     RowBox[{"AbsoluteThickness", "[", ".75", "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542608845211884*^9, 3.542608863642605*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xtick", "=", ".2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ytick", "=", ".2"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541975191994878*^9, 3.541975193698069*^9}, {
  3.542017719908959*^9, 3.542017723228777*^9}, {3.542017778123617*^9, 
  3.542017782103269*^9}, {3.542018342850861*^9, 3.5420183435147533`*^9}, {
  3.542018802781371*^9, 3.542018803866783*^9}, {3.542313351439507*^9, 
  3.542313372095955*^9}, {3.542451576895266*^9, 3.54245157912499*^9}, {
  3.542451663781086*^9, 3.5424516747630577`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Nash Equilibria", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5426105785989122`*^9, 3.542610580484786*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"equilibriumFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"equilibria", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"equilibriumData", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542816491246378*^9, 3.5428164941448402`*^9}, {
  3.542873499237288*^9, 3.542873503842895*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"equilibriumColor", "=", 
   RowBox[{"Darker", "[", "Red", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"equilibriumThickness", "=", "2.5"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542486754030568*^9, 3.542486795862522*^9}, {
  3.542547476062641*^9, 3.5425474998396187`*^9}, {3.5426093500521507`*^9, 
  3.5426093510458317`*^9}, {3.542609533686335*^9, 3.542609535593184*^9}, {
  3.542610014963366*^9, 3.542610015394981*^9}, {3.542610446305914*^9, 
  3.542610449826116*^9}, {3.542610670511284*^9, 3.542610675356681*^9}, {
  3.543690749130012*^9, 3.5436907500634604`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Rest points", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542609831093463*^9, 3.542609832333745*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"calculateRestpointsFlag", "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"showRestpointsFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"restpoints", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"restpointsData", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542632386674796*^9, 3.542632401512828*^9}, {
  3.542816506936737*^9, 3.542816507151497*^9}, {3.542873520570148*^9, 
  3.542873545656921*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"restColor", "=", 
   RowBox[{"ColorData", "[", 
    RowBox[{"1", ",", "1"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542610054162601*^9, 3.542610135006797*^9}, {
  3.542610177964707*^9, 3.542610183620306*^9}, {3.542610302345879*^9, 
  3.542610302681744*^9}, {3.5426115029655952`*^9, 3.5426115176758137`*^9}, {
  3.5426115902228527`*^9, 3.5426116160844812`*^9}, {3.5427032119813004`*^9, 
  3.542703213165895*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Orbits", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.541974364831853*^9, 3.541974385853269*^9}, {
   3.542010199422696*^9, 3.542010200428686*^9}, {3.542020996974815*^9, 
   3.542021035685937*^9}, 3.542139415978016*^9, {3.5421954886059933`*^9, 
   3.5421954958101387`*^9}, {3.542212742786882*^9, 3.542212749097827*^9}, 
   3.542375079220744*^9, {3.5426096550841513`*^9, 3.54260965735597*^9}, {
   3.542611003530998*^9, 3.5426110043203707`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"calculateOrbitsFlag", "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"showOrbitsFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"orbits", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"orbitsData", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54263243316945*^9, 3.542632441823365*^9}, {
  3.5428165157782097`*^9, 3.54281651826433*^9}, {3.542873561259459*^9, 
  3.542873566313508*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"orbitsColor", "=", 
   RowBox[{"ColorData", "[", 
    RowBox[{"1", ",", "4"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"orbitsThickness", "=", 
   RowBox[{"AbsoluteThickness", "[", ".75", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"orbitStyle", "=", 
   RowBox[{"{", 
    RowBox[{"orbitsColor", ",", "orbitsThickness"}], "}"}]}], ";"}]}], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.5426095981289473`*^9, 3.5426096367680483`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Vectors", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542609964839576*^9, 3.542609967255539*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"calculateVectorsFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"showVectorsFlag", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectors", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542632489094487*^9, 3.5426324955826683`*^9}, {
  3.542816527143139*^9, 3.542816529948908*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vectorColor", "=", 
   RowBox[{"GrayLevel", "[", ".25", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectorThickness", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectorLength", "=", "1"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542610472934534*^9, 3.542610485539056*^9}, 
   3.542629683425688*^9, {3.542629788515388*^9, 3.542629843357823*^9}, 
   3.542629936727509*^9, {3.5426305965024443`*^9, 3.542630596666634*^9}, {
   3.542630768056593*^9, 3.542630781413763*^9}, {3.5426308188219357`*^9, 
   3.542630819676693*^9}, {3.5426309936279173`*^9, 3.542631046442685*^9}, {
   3.542631130888772*^9, 3.5426311309893723`*^9}, {3.5426312021188803`*^9, 
   3.542631218821184*^9}, {3.542631292850087*^9, 3.542631295236862*^9}, {
   3.5426313749215317`*^9, 3.542631391385058*^9}, {3.542631525556471*^9, 
   3.542631525611051*^9}, 3.542631559645526*^9, {3.54263161813522*^9, 
   3.5426316183250732`*^9}, {3.542631656949834*^9, 3.5426316919834433`*^9}, {
   3.542631795898533*^9, 3.542631806025426*^9}, {3.54265443067653*^9, 
   3.542654430726416*^9}, 3.542701377155899*^9, 3.542701443355908*^9, 
   3.542701519140325*^9, 3.542701564345977*^9, {3.54270203199935*^9, 
   3.542702034351056*^9}, {3.542702064625513*^9, 3.54270206467585*^9}, 
   3.542703196479574*^9, 3.60327928329139*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Graph", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542372584454677*^9, 3.542372586253248*^9}, {
  3.542486749293415*^9, 3.542486750445158*^9}, {3.5425441400489807`*^9, 
  3.5425441404008913`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"emptyGraph", "=", 
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
      RowBox[{"Text", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{
         "\"\<Choose game and dynamics parameters, then click on 'Update \
Graph'.\nControl the display options by checking the appropriate checkboxes.\n\
To restart, click on 'Initialize GameSeer'.\>\"", ",", "\[IndentingNewLine]", 
          
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "14"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", 
          RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Background", "\[Rule]", "White"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameLabel", "\[Rule]", "frameLabel"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
        RowBox[{"FontSize", "\[Rule]", "14"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".02"}], ",", "1.02"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".02"}], ",", "1.02"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"graph", "=", "emptyGraph"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"graphData", "=", 
   RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
    RowBox[{"Text", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", "\[IndentingNewLine]", 
       RowBox[{
       "\"\<Choose game and dynamics parameters, then click on 'Update \
Graph'.\nControl the display options by checking the appropriate checkboxes.\n\
To restart, click on 'Initialize GameSeer'.\>\"", ",", "\[IndentingNewLine]", 
        
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
        RowBox[{"FontSize", "\[Rule]", "14"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", "2"}], ",", 
        RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542114209123918*^9, 3.5421142337273293`*^9}, {
   3.542125483885221*^9, 3.542125512533226*^9}, {3.542186777022978*^9, 
   3.5421868506338987`*^9}, {3.5421956826542397`*^9, 3.542195689891725*^9}, {
   3.542195853521192*^9, 3.5421958540958853`*^9}, {3.542209383227*^9, 
   3.5422094735659037`*^9}, {3.5422095442074013`*^9, 3.542209556187562*^9}, {
   3.542210964635131*^9, 3.542210994420401*^9}, {3.5422126704188643`*^9, 
   3.542212674632739*^9}, {3.542215702623069*^9, 3.542215705998301*^9}, {
   3.542216611853569*^9, 3.542216619145137*^9}, {3.542218527262684*^9, 
   3.542218527810479*^9}, {3.542266706554159*^9, 3.542266720825139*^9}, {
   3.5423037487421703`*^9, 3.542303749868702*^9}, {3.542320911168188*^9, 
   3.542320915141171*^9}, {3.542370367956244*^9, 3.542370368464259*^9}, {
   3.5423718922860518`*^9, 3.542371911963272*^9}, {3.542371948115079*^9, 
   3.542371992692114*^9}, {3.542372242624189*^9, 3.542372268930881*^9}, 
   3.5423723278969593`*^9, {3.542372534672645*^9, 3.542372540334831*^9}, {
   3.542372668311379*^9, 3.542372678092964*^9}, {3.542491919844503*^9, 
   3.542491921025796*^9}, {3.542693793941065*^9, 3.542693805599421*^9}, {
   3.54270086146632*^9, 3.54270091469938*^9}, {3.542702367391436*^9, 
   3.54270237657482*^9}, {3.5428730848397093`*^9, 3.54287314290985*^9}, {
   3.542873585879902*^9, 3.5428736061743183`*^9}, 3.542873643276498*^9, {
   3.603277569068466*^9, 3.603277570275104*^9}, {3.6032784741291647`*^9, 
   3.603278475360215*^9}, {3.603278559447844*^9, 3.603278559888433*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["GUI Appearance", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542114204797473*^9, 3.5421142069888678`*^9}, {
  3.5421142472548647`*^9, 3.542114248683806*^9}, {3.542124707783696*^9, 
  3.542124715172132*^9}, {3.542212765809643*^9, 3.542212778305052*^9}, {
  3.5422156971141987`*^9, 3.54221569910609*^9}, {3.5424523137272863`*^9, 
  3.542452330149179*^9}, {3.542609272405501*^9, 3.542609274725141*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"GUIFont", "=", "\"\<Palatino\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GUIStyle", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", "13"}], "}"}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542452676465818*^9, 3.5424526863222723`*^9}, {
  3.542452738203547*^9, 3.542452738800344*^9}, {3.5424529145100737`*^9, 
  3.542452915556485*^9}, {3.542453341245738*^9, 3.542453377909575*^9}, {
  3.542453424904121*^9, 3.542453425461022*^9}, {3.542453479494347*^9, 
  3.542453501712805*^9}, {3.542453553239623*^9, 3.5424535790620527`*^9}, {
  3.54245383186626*^9, 3.5424539091992826`*^9}, {3.5424539943998938`*^9, 
  3.542453995137867*^9}, {3.542463446670792*^9, 3.5424635186611443`*^9}, {
  3.603277576790731*^9, 3.603277577814886*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["GUI Elements", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.542124747925885*^9, 3.542124751346841*^9}}],

Cell[CellGroupData[{

Cell["Initialize GUI", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5421125667043858`*^9, 3.5421125679263372`*^9}, {
  3.542124755444015*^9, 3.54212478692277*^9}, {3.542197287512488*^9, 
  3.5421972896773977`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"initializeButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"DefaultButton", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Initialize GameSeer\>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
        RowBox[{"FontSize", "\[Rule]", "Large"}], ",", "Bold"}], "]"}], ",", 
      RowBox[{
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<EvaluateInitialization\>\"", "]"}],
         "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<GameSeer\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}]}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"FrameMargins", "\[Rule]", "7"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Bottom", ",", "Bottom"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542008139356289*^9, 3.542008191884327*^9}, {
   3.542056130645294*^9, 3.542056135205523*^9}, {3.542111466880453*^9, 
   3.5421114806619673`*^9}, {3.542112071145363*^9, 3.542112071227975*^9}, {
   3.542112371400381*^9, 3.542112382760854*^9}, {3.542116287559794*^9, 
   3.542116289220113*^9}, 3.542120987794565*^9, {3.542121022214335*^9, 
   3.542121030811316*^9}, {3.5421210777657747`*^9, 3.542121183603483*^9}, {
   3.542125078538308*^9, 3.542125083290441*^9}, {3.542125140195331*^9, 
   3.5421251442749443`*^9}, {3.5422183696275063`*^9, 3.542218374202401*^9}, {
   3.542218853626137*^9, 3.5422188552641993`*^9}, {3.542369770156135*^9, 
   3.542369781987702*^9}, {3.5423699066553497`*^9, 3.542369906797227*^9}, {
   3.542452148615397*^9, 3.542452150117571*^9}, {3.5424523565477543`*^9, 
   3.5424523887400913`*^9}, {3.542452747748757*^9, 3.542452783627462*^9}, {
   3.5424528139137373`*^9, 3.5424528580970783`*^9}, 3.542464650775139*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Payoffs", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5421248214836397`*^9, 3.542124825057675*^9}, {
  3.54212492323844*^9, 3.542124923591064*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"player1Panel", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Payoffs for Player 1\>\"", ",", "Bold"}], "]"}], 
            ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "1", ",", "1"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}], ",", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "1", ",", "2"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "2", ",", "1"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}], ",", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"1", ",", "2", ",", "2"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}]}], "}"}]}], "}"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", 
           RowBox[{"2", "\[Rule]", ".75"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"150", ",", "100"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541939070539384*^9, 3.541939207240048*^9}, {
   3.541939253578566*^9, 3.541939521977744*^9}, {3.541939694511017*^9, 
   3.54193978146913*^9}, {3.541939875410797*^9, 3.541939879275029*^9}, {
   3.541939936081815*^9, 3.541939999494933*^9}, {3.5419400824328957`*^9, 
   3.541940148003677*^9}, {3.541940203991208*^9, 3.5419402051233807`*^9}, {
   3.5419402427923813`*^9, 3.541940265633403*^9}, {3.541940339788739*^9, 
   3.541940341461246*^9}, {3.541941280203188*^9, 3.5419412823153343`*^9}, 
   3.541942091407007*^9, {3.5419676254009438`*^9, 3.5419676269918547`*^9}, {
   3.5419679877898483`*^9, 3.541968026118332*^9}, 3.5419684210734787`*^9, {
   3.5419695810756598`*^9, 3.5419695821916313`*^9}, {3.541970570677094*^9, 
   3.541970572071019*^9}, {3.54197479859715*^9, 3.5419748032697687`*^9}, {
   3.542008206349328*^9, 3.542008213011032*^9}, {3.542021361734445*^9, 
   3.542021413084816*^9}, {3.542021533329341*^9, 3.542021533406456*^9}, {
   3.542055820970991*^9, 3.542055840896864*^9}, 3.542110957775188*^9, {
   3.5421184490062637`*^9, 3.542118450088398*^9}, {3.5421189053961687`*^9, 
   3.5421190382686768`*^9}, {3.542119328410015*^9, 3.542119359187481*^9}, {
   3.542119567299749*^9, 3.542119567571946*^9}, {3.54211976760347*^9, 
   3.54211979041201*^9}, {3.542119832056098*^9, 3.5421198363791943`*^9}, {
   3.5422042239907503`*^9, 3.5422042242221003`*^9}, {3.542452150936036*^9, 
   3.542452151839665*^9}, 3.5424528980026417`*^9, {3.5424531346377172`*^9, 
   3.542453155092903*^9}, {3.542453191604457*^9, 3.542453192077677*^9}, {
   3.5424646859009657`*^9, 3.542464734565168*^9}, {3.542464797798863*^9, 
   3.5424648925162563`*^9}},
 CellID->1399983455],

Cell[BoxData[
 RowBox[{
  RowBox[{"player2Panel", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Payoffs for Player 2\>\"", ",", "Bold"}], "]"}], 
            ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"2", ",", "1", ",", "1"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}], ",", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"2", ",", "1", ",", "2"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"2", ",", "2", ",", "1"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}], ",", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"game", "\[LeftDoubleBracket]", 
                RowBox[{"2", ",", "2", ",", "2"}], "\[RightDoubleBracket]"}], 
               "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"40", ",", "25"}], "}"}]}]}], "]"}]}], "}"}]}], "}"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", 
           RowBox[{"2", "\[Rule]", ".75"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"150", ",", "100"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.541969576195668*^9, 3.541969584899419*^9}, {
   3.541974648730259*^9, 3.541974689352757*^9}, {3.5419747573036013`*^9, 
   3.541974780814354*^9}, {3.542021174641892*^9, 3.542021194512045*^9}, {
   3.542021347468812*^9, 3.542021476609676*^9}, {3.5420215304330063`*^9, 
   3.542021530491385*^9}, {3.542055844338183*^9, 3.54205585016873*^9}, 
   3.542110961967609*^9, {3.5421184537991753`*^9, 3.542118454776435*^9}, {
   3.542118908814886*^9, 3.542118909858733*^9}, {3.542119029612529*^9, 
   3.542119050477889*^9}, {3.542119230110228*^9, 3.5421192301820917`*^9}, {
   3.542119354641865*^9, 3.542119356707756*^9}, {3.542119564733403*^9, 
   3.542119565399748*^9}, {3.5421198421282578`*^9, 3.542119847495899*^9}, {
   3.542204217326887*^9, 3.5422042264939823`*^9}, {3.5422042723597107`*^9, 
   3.542204289332753*^9}, {3.5424521526636667`*^9, 3.5424521535276823`*^9}, 
   3.542452888469322*^9, {3.54245313306161*^9, 3.5424531874039297`*^9}, {
   3.542464901017816*^9, 3.542464926603368*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Plot Labels", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5421249617666273`*^9, 3.542124965493486*^9}, {
  3.542125300784163*^9, 3.542125301372814*^9}, {3.542206806603387*^9, 
  3.542206812263095*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"labelPanel", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Plot Labels\>\"", ",", "Bold"}], "]"}], ",", 
            "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Title\>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "plotLabel", "]"}], ",", "String", ",", 
              
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"150", ",", "25"}], "}"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"FieldHint", "\[Rule]", "\"\<Plot Title\>\""}]}], "]"}],
             ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x label\>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "xLabel", "]"}], ",", "String", ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"44", ",", "25"}], "}"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"FieldHint", "\[Rule]", "\"\<x label\>\""}]}], "]"}], 
            ",", " ", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<y label\>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "yLabel", "]"}], ",", "String", ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"45", ",", "25"}], "}"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"FieldHint", "\[Rule]", "\"\<y label\>\""}]}], "]"}]}], 
           "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Spacings", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"{", 
            RowBox[{"2", "\[Rule]", ".75"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"230", ",", "100"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542022045828849*^9, 3.5420221040727253`*^9}, {
   3.542055922812344*^9, 3.5420559308282957`*^9}, {3.542117554102145*^9, 
   3.542117558687098*^9}, {3.542117613448451*^9, 3.5421176327681923`*^9}, {
   3.5421192673839197`*^9, 3.542119267489326*^9}, {3.5421194392454157`*^9, 
   3.542119554825942*^9}, {3.5421195988654222`*^9, 3.542119599576009*^9}, {
   3.542119897652326*^9, 3.542119898324183*^9}, {3.542119990963214*^9, 
   3.5421200326754827`*^9}, {3.54212006537208*^9, 3.5421201370657597`*^9}, {
   3.5421253227817307`*^9, 3.542125323973139*^9}, {3.542125835075286*^9, 
   3.542125907811043*^9}, {3.5421259477136106`*^9, 3.542125948176527*^9}, {
   3.5421259798360167`*^9, 3.542125987784816*^9}, {3.542126040286996*^9, 
   3.5421260489354467`*^9}, {3.542126187415351*^9, 3.542126322655057*^9}, {
   3.5421263744621067`*^9, 3.542126387203341*^9}, {3.54212645193014*^9, 
   3.542126516600895*^9}, {3.542126638602244*^9, 3.542126761846175*^9}, 
   3.5421268081060266`*^9, {3.542186709414187*^9, 3.542186757682839*^9}, {
   3.5421993026988564`*^9, 3.542199373450543*^9}, {3.542199920907043*^9, 
   3.5421999620994453`*^9}, {3.542202891734186*^9, 3.5422028947552977`*^9}, {
   3.5422042439022818`*^9, 3.542204244110126*^9}, {3.542204429402463*^9, 
   3.5422045206480722`*^9}, {3.542204554296959*^9, 3.542204606023501*^9}, {
   3.542204656997436*^9, 3.5422046571649933`*^9}, {3.542207239617588*^9, 
   3.542207258898492*^9}, {3.542214116105513*^9, 3.542214121033742*^9}, {
   3.5422264077061977`*^9, 3.542226410265617*^9}, {3.542350847901616*^9, 
   3.542350903795223*^9}, {3.542452154382372*^9, 3.542452157417214*^9}, 
   3.542452889577982*^9, {3.5424531022473497`*^9, 3.5424531219343357`*^9}, {
   3.542464941328704*^9, 3.542465064046224*^9}, {3.5424654310333443`*^9, 
   3.542465464689464*^9}, {3.542465569647904*^9, 3.542465591181198*^9}, {
   3.5424656272212*^9, 3.542465652918909*^9}, 3.5424911467722816`*^9, {
   3.5425196995691223`*^9, 3.542519705464035*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Initial points", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5421125780785303`*^9, 3.542112578638671*^9}, {
  3.542124891073986*^9, 3.5421248945356817`*^9}, {3.5421249334474916`*^9, 
  3.542124935534871*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"customInitialGridCheckbox", "=", 
   RowBox[{"Grid", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
         RowBox[{"Checkbox", "[", 
          RowBox[{"Dynamic", "[", "customLatticeQ", "]"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", "\"\<Custom\>\""}], "}"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Alignment", "\[Rule]", "Baseline"}]}], "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.542462725854054*^9, 3.542462767604761*^9}, {
   3.542462801198531*^9, 3.542462806779809*^9}, {3.5424629311590014`*^9, 
   3.542462996909264*^9}, {3.542463110211261*^9, 3.542463113146731*^9}, {
   3.542463216771657*^9, 3.542463227813636*^9}, {3.542463308165455*^9, 
   3.542463314341877*^9}, {3.542463596874757*^9, 3.54246359701388*^9}, 
   3.5424637046662807`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomInitialConditionsButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Use random\>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"customLatticePoints", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Random", "[", "]"}], ",", 
           RowBox[{"Random", "[", "]"}]}], "}"}], ",", 
         RowBox[{"{", "nRandomPoints", "}"}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"100", ",", "30"}], "}"}]}]}], "]"}], "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.5424575875605383`*^9, 3.542457627767337*^9}, {
   3.5424576906540213`*^9, 3.542457701949666*^9}, {3.542457806179245*^9, 
   3.542457814726609*^9}, {3.542457897525154*^9, 3.542457910012701*^9}, {
   3.542457968443742*^9, 3.542457974930657*^9}, 3.54245865133694*^9, {
   3.542459194139894*^9, 3.542459197345578*^9}, {3.542462067731838*^9, 
   3.5424620678279457`*^9}, {3.5424621137447233`*^9, 3.54246213244841*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"interiorGridInitialConditionsButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Use int. grid\>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"customLatticePoints", "=", 
       RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"x", ",", "dxCustom", ",", 
             RowBox[{"1", "-", "dxCustom"}], ",", 
             RowBox[{"2", "dxCustom"}]}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"y", ",", "dyCustom", ",", 
             RowBox[{"1", "-", "dyCustom"}], ",", 
             RowBox[{"2", "dyCustom"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"100", ",", "30"}], "}"}]}]}], "]"}], "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.542459636684842*^9, 3.542459747827414*^9}, {
  3.5424612646308947`*^9, 3.5424612829156303`*^9}, {3.5424620658215714`*^9, 
  3.542462065867194*^9}, {3.542462117235043*^9, 3.542462134576603*^9}, {
  3.542462297025032*^9, 3.5424623191845493`*^9}, {3.542462501586082*^9, 
  3.54246259789371*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"customInitialConditionsDialog", "=", "\[IndentingNewLine]", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Customized Initial Conditions\>\"", ",", 
                  RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", "14", 
                  ",", "Bold"}], "]"}], ",", "\[IndentingNewLine]", 
                "SpanFromLeft"}], "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<Enter a table of initial points or choose from \
below:\>\"", ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<Random\>\"", ",", "\[IndentingNewLine]", 
                RowBox[{"InputField", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "[", "nRandomPoints", "]"}], ",", 
                  "Number", ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"40", ",", "25"}], "}"}]}], ",", 
                  RowBox[{"FieldHint", "\[Rule]", "\"\<#\>\""}]}], "]"}], ",",
                 "\[IndentingNewLine]", "SpanFromLeft", ",", 
                "\[IndentingNewLine]", "randomInitialConditionsButton"}], 
               "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"\"\<Interior Grid\>\"", ",", "\[IndentingNewLine]", 
                RowBox[{"InputField", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "[", "dxCustom", "]"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"40", ",", "25"}], "}"}]}], ",", 
                  RowBox[{"FieldHint", "\[Rule]", "\"\<dx\>\""}]}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"InputField", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "[", "dyCustom", "]"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"40", ",", "25"}], "}"}]}], ",", 
                  RowBox[{"FieldHint", "\[Rule]", "\"\<dy\>\""}]}], "]"}], 
                ",", "\[IndentingNewLine]", 
                "interiorGridInitialConditionsButton"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"InputField", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "[", "customLatticePoints", "]"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"300", ",", "200"}], "}"}]}]}], "]"}], ",", 
                "\[IndentingNewLine]", "SpanFromLeft"}], "}"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Spacings", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Automatic", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Rule]", "2"}], ",", 
                 RowBox[{"5", "\[Rule]", "1"}]}], "}"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Alignment", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Left", ",", "Center"}], "}"}]}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
           RowBox[{"Show", "[", 
            RowBox[{"boundary", ",", "grid", ",", "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Append", "[", "\[IndentingNewLine]", 
                 RowBox[{"latticePointStyle", ",", 
                  RowBox[{"Point", "[", "point", "]"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"point", ",", "customLatticePoints"}], "}"}]}], 
               "]"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", "320"}]}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Bottom"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacings", "\[Rule]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"Automatic", ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "\[Rule]", "5"}], ",", 
            RowBox[{"3", "\[Rule]", "1"}]}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54245404394543*^9, 3.5424540623385477`*^9}, {
   3.542454100509452*^9, 3.5424541229037323`*^9}, {3.5424554016981163`*^9, 
   3.542455426142659*^9}, {3.542455751059577*^9, 3.5424557618486958`*^9}, {
   3.542455797871112*^9, 3.5424558213191357`*^9}, {3.542456953576973*^9, 
   3.542456954326706*^9}, {3.542457005113779*^9, 3.542457079344743*^9}, {
   3.542457110805396*^9, 3.542457111381072*^9}, {3.542457152646913*^9, 
   3.542457211181652*^9}, {3.5424572461170053`*^9, 3.542457347552384*^9}, {
   3.542457481238472*^9, 3.542457585453087*^9}, {3.542457739605957*^9, 
   3.542457778130288*^9}, {3.5424578245819597`*^9, 3.542457868086788*^9}, {
   3.542457921552335*^9, 3.542458000357774*^9}, {3.542458052221122*^9, 
   3.54245805678881*^9}, {3.542458200287085*^9, 3.5424582237623167`*^9}, {
   3.542458255235115*^9, 3.542458521654436*^9}, {3.542458580855115*^9, 
   3.542458601876628*^9}, {3.542458781847925*^9, 3.542458790165846*^9}, {
   3.542458947603113*^9, 3.542458974700746*^9}, {3.5424590242611856`*^9, 
   3.542459030887487*^9}, {3.542459121123283*^9, 3.542459134129601*^9}, {
   3.542459281326034*^9, 3.54245930703973*^9}, {3.542459385003572*^9, 
   3.542459503215685*^9}, {3.542459552318717*^9, 3.5424595608321533`*^9}, {
   3.5424597645799847`*^9, 3.542459768817438*^9}, {3.5424597998156157`*^9, 
   3.542459799989759*^9}, {3.542461326841037*^9, 3.542461360039637*^9}, {
   3.542461403708282*^9, 3.5424614531322203`*^9}, {3.542461535944789*^9, 
   3.5424616059337397`*^9}, {3.5424617067262506`*^9, 
   3.5424618374993067`*^9}, {3.542461919810911*^9, 3.542461929590785*^9}, 
   3.542461959890266*^9, {3.542462015030602*^9, 3.54246202406627*^9}, {
   3.542462055452849*^9, 3.5424621582443113`*^9}, {3.542462216778081*^9, 
   3.5424622860800343`*^9}, {3.542462367651655*^9, 3.542462465882565*^9}, {
   3.542463497373884*^9, 3.542463531397139*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"customInitialConditionsButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Choose Points\>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"CreateWindow", "[", "\[IndentingNewLine]", 
       RowBox[{"DialogNotebook", "[", "customInitialConditionsDialog", "]"}], 
       "]"}]}], "]"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542452109110985*^9, 3.542452140522553*^9}, {
   3.54245227855962*^9, 3.5424522859731913`*^9}, {3.542454020951433*^9, 
   3.5424540270209417`*^9}, {3.542454129760491*^9, 3.542454165048324*^9}, {
   3.542458559092787*^9, 3.542458564861885*^9}, 3.542458639825768*^9, 
   3.5424587103192043`*^9, {3.542458805873302*^9, 3.542458811214472*^9}, {
   3.542458844113044*^9, 3.542458845789515*^9}, {3.54245887614321*^9, 
   3.5424588804451923`*^9}, {3.5424591241085052`*^9, 3.542459124690941*^9}, {
   3.54245953674804*^9, 3.54245954281533*^9}, {3.542463141023439*^9, 
   3.542463154509956*^9}, {3.542463237970862*^9, 3.5424632603991528`*^9}, {
   3.542463639599979*^9, 3.542463644429624*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"latticePanel", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Initial Points\>\"", ",", 
              RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
              RowBox[{"FontSize", "\[Rule]", "13"}], ",", "Bold"}], "]"}], 
            ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<dx\>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "dx", "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"30", ",", "25"}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<dy\>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"InputField", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "dy", "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"30", ",", "25"}], "}"}]}]}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
           "customInitialGridCheckbox", ",", "\[IndentingNewLine]", 
            "SpanFromLeft"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
           "customInitialConditionsButton", ",", "\[IndentingNewLine]", 
            "SpanFromLeft"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Spacings", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "\[Rule]", "1"}], ",", 
             RowBox[{"3", "\[Rule]", ".75"}], ",", 
             RowBox[{"4", "\[Rule]", "0"}]}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"150", ",", "125"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5419742229626017`*^9, 3.541974241856515*^9}, {
   3.5419745526986628`*^9, 3.541974554904562*^9}, {3.541974594167836*^9, 
   3.541974642830024*^9}, {3.541974730086203*^9, 3.541974734907877*^9}, {
   3.541974832408985*^9, 3.54197496694561*^9}, {3.541974999480666*^9, 
   3.54197510480611*^9}, {3.541975141629735*^9, 3.541975182365683*^9}, {
   3.541975416527315*^9, 3.541975418686625*^9}, {3.542014366073197*^9, 
   3.542014400456119*^9}, {3.5420148429212303`*^9, 3.542014843177578*^9}, {
   3.542021104021749*^9, 3.542021138406433*^9}, {3.542021204040053*^9, 
   3.54202124980827*^9}, {3.5420213033224487`*^9, 3.5420213292501802`*^9}, 
   3.5420214885124893`*^9, {3.5420215263037453`*^9, 3.5420215263552437`*^9}, {
   3.542055854184597*^9, 3.542055860159108*^9}, {3.542111213215283*^9, 
   3.542111237592881*^9}, {3.542111289745583*^9, 3.542111303104436*^9}, {
   3.542118458663762*^9, 3.542118459034514*^9}, {3.542118692653494*^9, 
   3.542118763740698*^9}, {3.542118797681738*^9, 3.542118805744214*^9}, {
   3.542119233717937*^9, 3.54211925477667*^9}, {3.542119295450226*^9, 
   3.542119310081767*^9}, {3.542119557943541*^9, 3.542119558291622*^9}, {
   3.542119856677994*^9, 3.542119888020319*^9}, 3.54212494787843*^9, {
   3.542204236812668*^9, 3.54220423704422*^9}, {3.54220432073097*^9, 
   3.542204424064559*^9}, 3.5422084376237993`*^9, {3.542375755198408*^9, 
   3.542375755562723*^9}, {3.542398221043429*^9, 3.542398223337493*^9}, {
   3.5423982586980133`*^9, 3.542398301539157*^9}, 3.542398467785829*^9, {
   3.54239853259601*^9, 3.542398625417392*^9}, {3.542398899725007*^9, 
   3.542398900670698*^9}, {3.5424521602433167`*^9, 3.54245216142498*^9}, 
   3.542452891567594*^9, {3.542453020936404*^9, 3.542453060550356*^9}, {
   3.5424630086268463`*^9, 3.542463072087574*^9}, {3.542463159216784*^9, 
   3.5424632034606447`*^9}, {3.5424632680861473`*^9, 3.542463294395132*^9}, {
   3.5424633587950993`*^9, 3.542463404581727*^9}, {3.542463549020225*^9, 
   3.542463585518786*^9}, 3.5424636890018063`*^9, {3.542465481432444*^9, 
   3.542465539693531*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamics control panel", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5421125667043858`*^9, 3.5421125679263372`*^9}, {
  3.542124835105777*^9, 3.5421248380895147`*^9}, {3.542124926591394*^9, 
  3.542124926902627*^9}, {3.54263257248636*^9, 3.542632573550102*^9}, {
  3.542697967068883*^9, 3.542697967524837*^9}, {3.542700955282394*^9, 
  3.542700956274362*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"timeField", "=", 
   RowBox[{"InputField", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", "time", "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5423846878257723`*^9, 3.542384701178359*^9}, 
   3.542384796068492*^9, {3.542386032052648*^9, 3.542386038884444*^9}, {
   3.542386119842544*^9, 3.5423861200259323`*^9}, {3.5423862692220707`*^9, 
   3.542386272229025*^9}, 3.542386700967762*^9, {3.542656631144507*^9, 
   3.542656636963049*^9}, {3.5426566691073103`*^9, 3.542656679972722*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"temperatureField", "=", 
   RowBox[{"InputField", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", "temperature", "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"40", ",", "20"}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5423847315233*^9, 3.542384744685319*^9}, {
   3.542384797444461*^9, 3.542384805596518*^9}, {3.542386045102252*^9, 
   3.54238605429633*^9}, {3.542386111514092*^9, 3.542386122858116*^9}, {
   3.54238630515768*^9, 3.542386314172181*^9}, 3.54238670274918*^9, {
   3.5426566403153467`*^9, 3.542656684362907*^9}, {3.544127773029595*^9, 
   3.544127773445376*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"orderBar", "=", 
   RowBox[{"SetterBar", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", "order", "]"}], ",", 
     RowBox[{"Range", "[", "2", "]"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542384756051668*^9, 3.5423847603385677`*^9}, {
  3.542386062290797*^9, 3.542386101277075*^9}, {3.542386283275969*^9, 
  3.542386284277261*^9}, {3.542386317799893*^9, 3.542386320748045*^9}, {
  3.542656750888586*^9, 3.542656760369671*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"calculateOrbitsControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "calculateOrbitsFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Orbits\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"calculateRestpointsControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "calculateRestpointsFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Rest points\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542632640644004*^9, 3.542632693719531*^9}, {
  3.542632768185763*^9, 3.542632768496767*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dynamicsMenu", "=", 
   RowBox[{"PopupMenu", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Dynamic", "[", "dynamics", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<Replicator\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{"\"\<Replicator Dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<MaynardSmith\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{"\"\<Maynard Smith Dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<Entropic\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{
         "\"\<Entropy-Adjusted Dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<ImitativeLogit\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{
         "\"\<Imitative Logit dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<Smith\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{"\"\<Smith Dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<BNN\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{
         "\"\<Brown\[Dash]von Neumann\[Dash]Nash\>\"", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<Logit\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{"\"\<Logit dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<Custom\>\"", "\[Rule]", 
        RowBox[{"Style", "[", "\[IndentingNewLine]", 
         RowBox[{"\"\<Custom dynamics\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"220", ",", "Automatic"}], "}"}]}]}], "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.542025584673839*^9, 3.542025634485441*^9}, {
   3.542025685649692*^9, 3.542025699841566*^9}, {3.542025755115526*^9, 
   3.542025771472948*^9}, {3.542025925024036*^9, 3.542025973424987*^9}, {
   3.542055934458783*^9, 3.542055938611084*^9}, {3.542112084755683*^9, 
   3.542112109003188*^9}, {3.542112344070524*^9, 3.542112357606841*^9}, {
   3.542119218779303*^9, 3.542119219923592*^9}, {3.542142186596815*^9, 
   3.542142213950067*^9}, {3.542198024885914*^9, 3.5421980268350983`*^9}, {
   3.542198132525647*^9, 3.54219816612424*^9}, 3.5421986967123547`*^9, {
   3.542199609132683*^9, 3.542199610284404*^9}, {3.542199760601182*^9, 
   3.542199760768865*^9}, {3.542204842587326*^9, 3.542204843722889*^9}, {
   3.5422670860906887`*^9, 3.5422670985632343`*^9}, {3.542267136823694*^9, 
   3.5422671399793243`*^9}, {3.542315588418401*^9, 3.5423155951176777`*^9}, {
   3.54231692555252*^9, 3.542316945232682*^9}, {3.542319408456358*^9, 
   3.542319408833488*^9}, {3.542347622738953*^9, 3.542347637902238*^9}, {
   3.5423754569338627`*^9, 3.5423754650878553`*^9}, {3.542380574905957*^9, 
   3.54238061769242*^9}, {3.542385768669606*^9, 3.542385788734405*^9}, {
   3.542385881185689*^9, 3.5423858812494297`*^9}, {3.5423859461454268`*^9, 
   3.5423859547442007`*^9}, {3.542391207035653*^9, 3.5423912073708677`*^9}, {
   3.5423914656358747`*^9, 3.542391471501705*^9}, {3.5424521624376507`*^9, 
   3.542452175453727*^9}, {3.542452891827351*^9, 3.54245289344357*^9}, {
   3.5426568789077187`*^9, 3.542656885026273*^9}, {3.54265698592015*^9, 
   3.542656986389352*^9}, {3.542657019982152*^9, 3.542657025789716*^9}, {
   3.5426572688355837`*^9, 3.5426572811461773`*^9}, {3.5431770567934504`*^9, 
   3.5431770700581703`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputDynamicsButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Input Dynamics\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"CreateDialog", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"dynamics", "=", "\"\<Custom\>\""}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"CustomField", "[", 
           RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
          RowBox[{"{", 
           RowBox[{"xCustomField", ",", "yCustomField"}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Grid", "[", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(V\), \(x\)]\) \>\"", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"InputField", "[", 
               RowBox[{"Dynamic", "[", "xCustomField", "]"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(V\), \(y\)]\) \>\"", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"InputField", "[", 
               RowBox[{"Dynamic", "[", "yCustomField", "]"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"DefaultButton", "[", 
               RowBox[{"\"\<Set Dynamics\>\"", ",", "\[IndentingNewLine]", 
                RowBox[{"DialogReturn", "[", 
                 RowBox[{"{", 
                  RowBox[{"xCustomField", ",", "yCustomField"}], "}"}], 
                 "]"}]}], "]"}], ",", "\[IndentingNewLine]", "SpanFromLeft"}],
              "}"}]}], "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"CustomField", "[", 
         RowBox[{"xx_", ",", "yy_"}], "]"}], ":=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xCustomField", ",", "yCustomField"}], "}"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "\[Rule]", "xx"}], ",", 
           RowBox[{"y", "\[Rule]", "yy"}]}], "}"}]}]}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5423742231946373`*^9, 3.5423742339897614`*^9}, {
   3.5423743258246927`*^9, 3.542374362772109*^9}, {3.5423743961363783`*^9, 
   3.542374443354178*^9}, {3.542374586056849*^9, 3.5423746075781918`*^9}, {
   3.542374655175756*^9, 3.5423746873560658`*^9}, {3.5423747461733723`*^9, 
   3.542374786623171*^9}, {3.542374914894545*^9, 3.542374922122877*^9}, {
   3.542374982923813*^9, 3.5423749831082773`*^9}, {3.542375017471505*^9, 
   3.54237502662472*^9}, 3.542375222710053*^9, {3.542385798419611*^9, 
   3.54238580701945*^9}, {3.542385878357965*^9, 3.542385878415679*^9}, {
   3.542442437281947*^9, 3.542442442423188*^9}, {3.542452176292573*^9, 
   3.5424521771183968`*^9}, 3.542452893728675*^9, {3.5424532529688396`*^9, 
   3.542453280750784*^9}, {3.542656891149852*^9, 3.542656891723171*^9}, {
   3.5426573620412197`*^9, 3.54265736231282*^9}, {3.5426583018948803`*^9, 
   3.542658303398267*^9}, {3.542658401503154*^9, 3.542658422807146*^9}, {
   3.542658569134428*^9, 3.542658584938566*^9}, {3.542698435303122*^9, 
   3.54269843569456*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"updateButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"DefaultButton", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Update Graph\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", "Bold", ",", 
        "14"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NotebookLocate", "[", "\"\<Update\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<Update\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<OpenCloseGroup\>\"", "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<GameSeer\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}]}]}], 
     "]"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542008823116826*^9, 3.542008849635194*^9}, {
   3.542008916781661*^9, 3.54200892289186*^9}, {3.542008955331334*^9, 
   3.54200895932296*^9}, {3.5420092655127153`*^9, 3.5420092855288973`*^9}, {
   3.54200947077275*^9, 3.542009478836053*^9}, {3.542009523287513*^9, 
   3.5420095569805737`*^9}, {3.542009606563909*^9, 3.542009617200676*^9}, {
   3.5420096498180437`*^9, 3.542009719586606*^9}, {3.5420097639543457`*^9, 
   3.5420097646556263`*^9}, {3.542009794888055*^9, 3.542009806348448*^9}, {
   3.542009873173791*^9, 3.542009880222866*^9}, {3.54200991980322*^9, 
   3.542009920261422*^9}, {3.5420100478862333`*^9, 3.542010153745015*^9}, {
   3.542010215137937*^9, 3.542010259247587*^9}, {3.5420104139862843`*^9, 
   3.542010430206853*^9}, {3.542010464360447*^9, 3.5420104988055468`*^9}, {
   3.542010532344253*^9, 3.5420105350044193`*^9}, {3.542010603711442*^9, 
   3.5420106042157707`*^9}, {3.54201408563002*^9, 3.542014142977057*^9}, {
   3.542014184698943*^9, 3.5420142617355213`*^9}, {3.542014320456093*^9, 
   3.54201432090025*^9}, {3.54201492331236*^9, 3.542014947378417*^9}, {
   3.542014989100408*^9, 3.542015036302374*^9}, {3.5420150832181396`*^9, 
   3.542015090453433*^9}, {3.542015127894505*^9, 3.542015145126017*^9}, {
   3.5420152195107803`*^9, 3.542015292229883*^9}, {3.5420153328601227`*^9, 
   3.542015365234063*^9}, {3.542015400241273*^9, 3.5420154036168423`*^9}, {
   3.54201554244731*^9, 3.542015602039*^9}, {3.5420156416169367`*^9, 
   3.542015643818597*^9}, {3.542015811843211*^9, 3.5420158124267263`*^9}, {
   3.542015842506423*^9, 3.542015888449603*^9}, {3.542015962825626*^9, 
   3.542015965713859*^9}, 3.5420160014322157`*^9, {3.542016176930276*^9, 
   3.542016183599118*^9}, {3.542016251778442*^9, 3.542016259217046*^9}, {
   3.542016455043385*^9, 3.542016458101014*^9}, {3.542016661056858*^9, 
   3.5420166618616056`*^9}, {3.542016698809277*^9, 3.542016744274*^9}, {
   3.542016788942984*^9, 3.542016793968543*^9}, {3.542016833655723*^9, 
   3.542016860372876*^9}, 3.542016926427052*^9, {3.5420171297109537`*^9, 
   3.542017195592621*^9}, {3.5420225961213827`*^9, 3.5420226031853228`*^9}, {
   3.542022660083041*^9, 3.5420226607932463`*^9}, {3.542055960806119*^9, 
   3.5420559654038467`*^9}, {3.542111431496545*^9, 3.5421114477704287`*^9}, {
   3.542111499521721*^9, 3.542111500352754*^9}, {3.542111558512838*^9, 
   3.542111558828993*^9}, {3.542111665569399*^9, 3.542111666180554*^9}, {
   3.54211174221173*^9, 3.542111743542981*^9}, {3.542112068536768*^9, 
   3.5421120685903587`*^9}, {3.542112311004147*^9, 3.542112340947175*^9}, {
   3.542114153790496*^9, 3.5421141548301907`*^9}, {3.542114269162146*^9, 
   3.5421142765176353`*^9}, {3.5421162707902412`*^9, 3.542116297269413*^9}, {
   3.5421163810774517`*^9, 3.542116381884432*^9}, {3.5421167496031837`*^9, 
   3.5421167498906307`*^9}, {3.542198517480571*^9, 3.542198519232028*^9}, {
   3.542198980347393*^9, 3.542198980891189*^9}, {3.542199444911437*^9, 
   3.542199454339128*^9}, {3.542199488169148*^9, 3.542199488904859*^9}, {
   3.542199709735312*^9, 3.542199754180798*^9}, 3.5421997875796137`*^9, {
   3.542199859355813*^9, 3.5421998598093767`*^9}, {3.5422000042603683`*^9, 
   3.5422000122656803`*^9}, {3.542202332996072*^9, 3.542202354363611*^9}, {
   3.542202446121632*^9, 3.5422024512730637`*^9}, {3.542204149735042*^9, 
   3.542204150205598*^9}, {3.542204730226173*^9, 3.542204732209591*^9}, {
   3.542208712204063*^9, 3.5422087128112383`*^9}, {3.542212639381184*^9, 
   3.5422126463886213`*^9}, {3.542267063814021*^9, 3.5422670644222803`*^9}, 
   3.542350974896348*^9, {3.54235116678335*^9, 3.542351168565629*^9}, {
   3.54237202704452*^9, 3.54237203239522*^9}, {3.542385646818487*^9, 
   3.542385706463376*^9}, 3.542385757226461*^9, {3.542385826775839*^9, 
   3.542385845168251*^9}, {3.542389333684367*^9, 3.542389334083667*^9}, {
   3.542389635110806*^9, 3.542389637020369*^9}, {3.542390579424221*^9, 
   3.542390605152178*^9}, {3.5424521779381104`*^9, 3.5424521802180843`*^9}, 
   3.5424528940474997`*^9, {3.5424529507374783`*^9, 3.542452981645248*^9}, {
   3.542453217983876*^9, 3.5424532225673027`*^9}, {3.542546185881008*^9, 
   3.542546195258666*^9}, {3.5425468858756237`*^9, 3.542546906508605*^9}, {
   3.5425469514564247`*^9, 3.542546958385233*^9}, {3.542656896839724*^9, 
   3.542656897399025*^9}, {3.542657411947481*^9, 3.5426574125957537`*^9}, {
   3.542658384549155*^9, 3.542658387054058*^9}, {3.5426973667015133`*^9, 
   3.542697368101038*^9}, {3.542697855030694*^9, 3.54269788995914*^9}, {
   3.542698289864072*^9, 3.542698290519414*^9}, {3.5427003759435787`*^9, 
   3.5427004053636293`*^9}, {3.542700435980556*^9, 3.542700438044099*^9}, {
   3.5427009829439363`*^9, 3.542700994920001*^9}, {3.542701237692116*^9, 
   3.542701238329031*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dynamicsPanel", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Dynamics Calculations\>\"", ",", "Bold"}], "]"}], 
            ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Order   \>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", "orderBar", ",", "\[IndentingNewLine]", 
            "dynamicsMenu", ",", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Temp. \>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", "temperatureField", ",", 
            "\[IndentingNewLine]", "calculateRestpointsControl", ",", 
            "\[IndentingNewLine]", "inputDynamicsButton"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Time  \>\"", ",", "12"}], "]"}], ",", 
            "\[IndentingNewLine]", "timeField", ",", "\[IndentingNewLine]", 
            "calculateOrbitsControl", ",", "\[IndentingNewLine]", 
            "updateButton"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Left", ",", "Baseline"}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "\[Rule]", "0"}], ",", 
             RowBox[{"3", "\[Rule]", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"3", "\[Rule]", 
              RowBox[{"1", "/", "2"}]}], ",", 
             RowBox[{"4", "\[Rule]", 
              RowBox[{"1", "/", "4"}]}]}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "125"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542386203471325*^9, 3.542386223149001*^9}, {
   3.5423862545699663`*^9, 3.542386394999592*^9}, {3.542386513929358*^9, 
   3.542386571056326*^9}, {3.542386647332065*^9, 3.542386671931117*^9}, {
   3.542386734709124*^9, 3.54238674093253*^9}, 3.542386802066387*^9, {
   3.542391477320138*^9, 3.5423914822570333`*^9}, {3.542452180843081*^9, 
   3.542452186699313*^9}, {3.542452894348477*^9, 3.542452895153626*^9}, {
   3.5424653478259287`*^9, 3.542465394879611*^9}, 3.5424911242594213`*^9, {
   3.5424927428437023`*^9, 3.54249274576442*^9}, {3.5424927791242123`*^9, 
   3.542492799803401*^9}, 3.542656661521698*^9, {3.5426577343379917`*^9, 
   3.542657936846121*^9}, 3.5426582916215487`*^9, {3.542658327412665*^9, 
   3.542658347960369*^9}, {3.542658602897501*^9, 3.542658634239778*^9}, 
   3.542659733055608*^9, {3.5426983030971823`*^9, 3.542698303736731*^9}, {
   3.542698344244731*^9, 3.542698390899152*^9}, {3.542698429997978*^9, 
   3.542698430380947*^9}, {3.542699968163321*^9, 3.542700322085272*^9}, {
   3.5427003563258877`*^9, 3.542700418165786*^9}, {3.542700455448722*^9, 
   3.542700505575025*^9}, {3.542701000560549*^9, 3.542701007529523*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamics display", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542348403700406*^9, 3.54234841143748*^9}, {
  3.542698083331812*^9, 3.5426980881618137`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"infoPanel", "=", "\[IndentingNewLine]", 
   RowBox[{"Panel", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Grid", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<Equations of Motion (\>\"", "<>", "dynamics", "<>", 
               "\"\< dynamics)\>\""}], ",", "Bold"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             SubscriptBox["V", "x"], "[", 
             RowBox[{"x", ",", "y"}], "]"}], "\[Equal]", "xDisplayField"}], "//",
            "TraditionalForm"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             SubscriptBox["V", "y"], "[", 
             RowBox[{"x", ",", "y"}], "]"}], "\[Equal]", "yDisplayField"}], "//",
            "TraditionalForm"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacings", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "1.5"}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"600", ",", "Automatic"}], "}"}]}]}], "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.5423484176999807`*^9, 3.542348455594022*^9}, {
   3.542348607046431*^9, 3.542348772120392*^9}, {3.5423488077138863`*^9, 
   3.542348951846712*^9}, {3.542348988435219*^9, 3.542349075662272*^9}, {
   3.542349173516017*^9, 3.5423492171450043`*^9}, {3.5423492982083197`*^9, 
   3.542349551768252*^9}, {3.5423496309995613`*^9, 3.542349815580921*^9}, {
   3.54234988254755*^9, 3.5423499019107924`*^9}, {3.5423499327122803`*^9, 
   3.542349951686222*^9}, {3.5423500074722567`*^9, 3.542350022134313*^9}, {
   3.542350056049096*^9, 3.542350061299028*^9}, {3.542350171715062*^9, 
   3.542350193650558*^9}, {3.542350252715395*^9, 3.542350337758711*^9}, {
   3.542350419343774*^9, 3.542350428179702*^9}, {3.542350486053938*^9, 
   3.542350493439787*^9}, {3.5423704657681437`*^9, 3.542370507500104*^9}, {
   3.5423706638372307`*^9, 3.542370674332528*^9}, {3.542371404309033*^9, 
   3.542371425260144*^9}, {3.542441484202104*^9, 3.542441497453899*^9}, {
   3.542452201317533*^9, 3.5424522037788763`*^9}, 3.5424528976005487`*^9, {
   3.54245491471208*^9, 3.542454984812004*^9}, {3.542455297022599*^9, 
   3.542455307086294*^9}, {3.542466834543489*^9, 3.542466905691532*^9}, {
   3.542471133169669*^9, 3.5424711372970877`*^9}, {3.5424711776970463`*^9, 
   3.542471180247621*^9}, {3.542471231879943*^9, 3.542471370388789*^9}, {
   3.5424714008921013`*^9, 3.542471469257976*^9}, {3.5424922492976923`*^9, 
   3.542492250863912*^9}, {3.542492494748155*^9, 3.54249251449129*^9}, {
   3.542492999834342*^9, 3.542493000694454*^9}, {3.542493294713176*^9, 
   3.542493300291136*^9}, {3.542698113049014*^9, 3.5426981135526114`*^9}, {
   3.5428035958289557`*^9, 3.542803596419655*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Output control panel", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542197501002575*^9, 3.5421975236007223`*^9}, {
  3.542207021300252*^9, 3.542207022292068*^9}, {3.542212809344728*^9, 
  3.542212810616324*^9}, {3.5422173293581343`*^9, 3.5422173300799713`*^9}, {
  3.5424933183785048`*^9, 3.5424933198166533`*^9}, {3.542632561543335*^9, 
  3.5426325697342577`*^9}, {3.542697964693471*^9, 3.542697965132688*^9}, {
  3.5426980920020514`*^9, 3.54269809360004*^9}, {3.542700951205161*^9, 
  3.542700953130589*^9}, {3.542803822150238*^9, 3.542803822698471*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"boundaryControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "boundaryFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Boundary\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"latticeControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "latticeFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Initial points\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"labelsControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "labelsFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Game labels\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gridControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "gridFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Gridlines\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectorsControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "showVectorsFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Vectors\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"orbitsControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "showOrbitsFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Orbits\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"equilibriumControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "equilibriumFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Nash Equilibria\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"restpointsControl", "=", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Checkbox", "[", 
        RowBox[{"Dynamic", "[", "showRestpointsFlag", "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Rest points\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "GUIFont"}], ",", 
         RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}], ",", 
     "\"\< \>\""}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5422080722471447`*^9, 3.5422081706029787`*^9}, {
  3.5422082104188557`*^9, 3.542208376532218*^9}, {3.5422084748423634`*^9, 
  3.542208531499099*^9}, {3.542217336150523*^9, 3.542217346175029*^9}, {
  3.5422173828948927`*^9, 3.542217383749601*^9}, {3.542452187708784*^9, 
  3.54245219735779*^9}, {3.542452895400462*^9, 3.542452896698964*^9}, {
  3.5424652515077667`*^9, 3.542465251915394*^9}, {3.5424918063924513`*^9, 
  3.542491848606799*^9}, {3.542492134202237*^9, 3.54249213567467*^9}, {
  3.542616712840908*^9, 3.542616745078824*^9}, {3.542632579712199*^9, 
  3.542632588639626*^9}, {3.542698056440365*^9, 3.542698056903989*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"saveDataButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Export data\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NotebookLocate", "[", "\"\<ExportData\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<Export\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<OpenCloseGroup\>\"", "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<GameSeer\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}]}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"100", ",", "Automatic"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542805628360133*^9, 3.542805647876947*^9}, {
   3.542805724669133*^9, 3.54280575376998*^9}, {3.54280584417887*^9, 
   3.542805864482806*^9}, {3.54280593009158*^9, 3.542805989952219*^9}, {
   3.542806100775811*^9, 3.5428061014458637`*^9}, {3.542806152011546*^9, 
   3.542806216305683*^9}, {3.542806253835939*^9, 3.542806254225647*^9}, 
   3.5428063120246143`*^9, {3.54280636687945*^9, 3.5428063835347233`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"savePlotButton", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Export plot\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"FontFamily", "\[Rule]", "GUIFont"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NotebookLocate", "[", "\"\<ExportPlot\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<Export\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<OpenCloseGroup\>\"", "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"NotebookLocate", "[", "\"\<GameSeer\>\"", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FrontEndExecute", "[", 
        RowBox[{"FrontEndToken", "[", "\"\<Evaluate\>\"", "]"}], "]"}]}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"100", ",", "Automatic"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542805628360133*^9, 3.542805647876947*^9}, {
   3.542805724669133*^9, 3.54280575376998*^9}, {3.54280584417887*^9, 
   3.542805864482806*^9}, {3.54280593009158*^9, 3.542805989952219*^9}, {
   3.542806100775811*^9, 3.5428061014458637`*^9}, {3.542806152011546*^9, 
   3.542806216305683*^9}, {3.542806253835939*^9, 3.542806254225647*^9}, 
   3.5428063120246143`*^9, {3.542806353729168*^9, 3.5428063857589397`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"controlPanel", "=", 
   RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
    RowBox[{"Panel", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Display and Output Options\>\"", ",", "Bold"}], 
             "]"}], ",", "\[IndentingNewLine]", "SpanFromLeft"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
           "boundaryControl", ",", "\[IndentingNewLine]", "gridControl", ",", 
            "\[IndentingNewLine]", "labelsControl", ",", 
            "\[IndentingNewLine]", "equilibriumControl", ",", 
            "\[IndentingNewLine]", "saveDataButton"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
           "latticeControl", ",", "\[IndentingNewLine]", "restpointsControl", 
            ",", "\[IndentingNewLine]", "vectorsControl", ",", 
            "\[IndentingNewLine]", "orbitsControl", ",", 
            "\[IndentingNewLine]", "savePlotButton"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacings", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", "\[Rule]", "1"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"BaseStyle", "\[Rule]", "GUIStyle"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"600", ",", "Automatic"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542207824783107*^9, 3.542207980284227*^9}, {
   3.5422080113910313`*^9, 3.542208070294907*^9}, {3.5422084104828*^9, 
   3.542208469786047*^9}, {3.542208536809498*^9, 3.542208620368627*^9}, {
   3.5422086775389767`*^9, 3.542208681466104*^9}, {3.5422088445111322`*^9, 
   3.542209077313739*^9}, 3.5422128250310698`*^9, {3.542212890336043*^9, 
   3.542212917342779*^9}, {3.542217367313476*^9, 3.5422173727851477`*^9}, {
   3.542452199410921*^9, 3.5424522007599277`*^9}, 3.542452897301354*^9, {
   3.542465116234885*^9, 3.5424652566297007`*^9}, {3.542492093302438*^9, 
   3.542492145939321*^9}, {3.542493333390656*^9, 3.542493348919167*^9}, {
   3.5426166888037243`*^9, 3.542616694873288*^9}, {3.5426973329685297`*^9, 
   3.542697333441758*^9}, {3.5426979776508703`*^9, 3.542698072712532*^9}, {
   3.5426981032718782`*^9, 3.542698104255547*^9}, {3.542803827144573*^9, 
   3.542803831432188*^9}, {3.542806220807746*^9, 3.542806224183194*^9}, {
   3.5428062909752283`*^9, 3.542806306824142*^9}, {3.5428064275407877`*^9, 
   3.5428064302611*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Static Elements", "Section",
 InitializationCell->True,
 CellChangeTimes->{
  3.541971417505719*^9, {3.5420196720722227`*^9, 3.542019685056713*^9}, {
   3.5420199802586517`*^9, 3.5420199813623877`*^9}, {3.54202331445162*^9, 
   3.542023314832822*^9}, {3.5420548538781967`*^9, 3.542054854409452*^9}, {
   3.542055030558962*^9, 3.5420550320391006`*^9}, {3.5421161208509502`*^9, 
   3.542116139687262*^9}, {3.5422123540068293`*^9, 3.542212354787457*^9}, {
   3.542212794345028*^9, 3.542212794680703*^9}, {3.542616802513338*^9, 
   3.542616808934155*^9}, {3.542622792665292*^9, 3.542622822667626*^9}, {
   3.542625378348344*^9, 3.5426253800503902`*^9}}],

Cell[CellGroupData[{

Cell["Boundary", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.542694243562042*^9, 3.542694247999536*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vertices", "=", 
   RowBox[{"Tuples", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"edges", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "1"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5424870039267817`*^9, 3.5424870050109873`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"boundary", "=", 
   RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"boundaryColor", ",", 
      RowBox[{"AbsoluteThickness", "[", "boundaryThickness", "]"}], ",", 
      RowBox[{"GraphicsComplex", "[", 
       RowBox[{"vertices", ",", 
        RowBox[{"Line", "[", "edges", "]"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.54197208794438*^9, 3.541972124502159*^9}, {
   3.5419721994846087`*^9, 3.541972257458743*^9}, {3.5419724840937862`*^9, 
   3.541972510089394*^9}, {3.5419725518429832`*^9, 3.5419726111697273`*^9}, {
   3.5419726482032423`*^9, 3.5419726503450823`*^9}, {3.5419726898004293`*^9, 
   3.541972698399919*^9}, {3.541972761238392*^9, 3.541972832678802*^9}, {
   3.541972870193406*^9, 3.5419729022326937`*^9}, {3.541973073942577*^9, 
   3.541973089678146*^9}, {3.541973163988906*^9, 3.5419732527173634`*^9}, {
   3.541973426526834*^9, 3.541973427980174*^9}, {3.541973623852845*^9, 
   3.541973625241716*^9}, {3.542209268833626*^9, 3.542209270265471*^9}, 
   3.542487909502233*^9, {3.542495942132739*^9, 3.542495942915704*^9}, {
   3.542609236346486*^9, 3.542609241697612*^9}, {3.542694184552627*^9, 
   3.542694190504095*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Gridlines", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.5426944724662724`*^9, 3.542694473904196*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xgrid", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Append", "[", "\[IndentingNewLine]", 
       RowBox[{"gridStyle", ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1"}], "}"}]}], "}"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"x", ",", "xtick", ",", 
        RowBox[{"1", "-", "xtick"}], ",", "xtick"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ygrid", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Append", "[", "\[IndentingNewLine]", 
       RowBox[{"gridStyle", ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "y"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "y"}], "}"}]}], "}"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"y", ",", "ytick", ",", 
        RowBox[{"1", "-", "ytick"}], ",", "ytick"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grid", "=", 
   RowBox[{"{", 
    RowBox[{"xgrid", ",", "ygrid"}], "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.540375088890617*^9, 3.5403752505695877`*^9}, {
   3.540375281258964*^9, 3.5403752936325293`*^9}, {3.540375336184538*^9, 
   3.540375349215741*^9}, {3.540375382921995*^9, 3.5403758032832727`*^9}, {
   3.540375838346251*^9, 3.5403758783690434`*^9}, {3.540662739155993*^9, 
   3.5406628779261303`*^9}, {3.540663240881518*^9, 3.5406632530733423`*^9}, {
   3.541704974362297*^9, 3.5417049971007843`*^9}, 3.541705666742362*^9, 
   3.5417061919596233`*^9, {3.541706371697125*^9, 3.541706373695773*^9}, 
   3.542017686435104*^9, {3.542017736971493*^9, 3.5420177491470118`*^9}, {
   3.542017786478746*^9, 3.542017843384698*^9}, 3.542018147583962*^9, {
   3.542608823227133*^9, 3.542608824782357*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Game Elements", "Section",
 CellChangeTimes->{{3.542694509544034*^9, 3.542694513854129*^9}},
 CellTags->"Update"],

Cell[CellGroupData[{

Cell["Vertex labels", "Subsection",
 CellChangeTimes->{{3.541973511885931*^9, 3.541973515497477*^9}, {
   3.54197355470157*^9, 3.541973555904467*^9}, {3.541973606334326*^9, 
   3.541973616223075*^9}, {3.54197367102177*^9, 3.541973675219679*^9}, 
   3.542020001386113*^9, {3.542125381172686*^9, 3.542125382277256*^9}, {
   3.5423981998048067`*^9, 3.5423982030839777`*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeStyle", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
     RowBox[{"ColorData", "[", 
      RowBox[{"1", ",", "1"}], "]"}]}], "}"}]}], ";", 
  RowBox[{"nodes", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Append", "[", 
       RowBox[{"nodeStyle", ",", 
        RowBox[{"Point", "[", "point", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"point", ",", "vertices"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.541973562429262*^9, 3.541973597140647*^9}, {
  3.541974060131688*^9, 3.541974063427334*^9}, {3.542018164628502*^9, 
  3.54201816891555*^9}, {3.542018535052429*^9, 3.542018552451613*^9}, {
  3.542055084001107*^9, 3.542055086792925*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"labels", "=", 
   RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Text", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"\"\<(\>\"", "\[IndentingNewLine]", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"point", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"1", "-", 
                  RowBox[{"point", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ".", 
               RowBox[{"game", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"point", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", 
                 RowBox[{"1", "-", 
                  RowBox[{"point", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", 
              "Rationalize"}], ",", "InputForm"}], "]"}], "<>", 
           "\[IndentingNewLine]", "\"\<, \>\"", "\[IndentingNewLine]", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"point", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"1", "-", 
                  RowBox[{"point", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ".", 
               RowBox[{"game", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ".", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"point", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", 
                 RowBox[{"1", "-", 
                  RowBox[{"point", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", 
              "Rationalize"}], ",", "InputForm"}], "]"}], "<>", "\"\<)\>\""}],
           ",", "\[IndentingNewLine]", 
          RowBox[{"FontSize", "\[Rule]", "18"}], ",", "Bold"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], "+", 
         RowBox[{".9", 
          RowBox[{"(", 
           RowBox[{"point", "-", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"1", "/", "2"}], ",", 
              RowBox[{"1", "/", "2"}]}], "}"}]}], ")"}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"Opacity", "[", 
          RowBox[{".75", ",", "White"}], "]"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"point", ",", "vertices"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.542014666351055*^9, 3.542014692029826*^9}, {
   3.542014810502397*^9, 3.542014814358322*^9}, {3.542017003378016*^9, 
   3.542017013853444*^9}, {3.54201804892731*^9, 3.5420180491235247`*^9}, {
   3.542018233785212*^9, 3.542018233863052*^9}, {3.5420183917600813`*^9, 
   3.5420183923757687`*^9}, 3.542019117061001*^9, 3.542022730260717*^9, {
   3.542023435984323*^9, 3.54202343606805*^9}, {3.542023483919729*^9, 
   3.542023523070883*^9}, {3.54202355956745*^9, 3.5420235856732492`*^9}, {
   3.542023621950165*^9, 3.5420236918894577`*^9}, 3.542024828793804*^9, {
   3.5421433506129007`*^9, 3.542143362578526*^9}, {3.542145788938898*^9, 
   3.5421457892271833`*^9}, {3.542179400990467*^9, 3.54217944417439*^9}, {
   3.5421801110090923`*^9, 3.542180183853203*^9}, {3.542180300203833*^9, 
   3.5421803758418703`*^9}, {3.542180414626512*^9, 3.5421804754099092`*^9}, 
   3.542180512526965*^9, {3.5421805444214573`*^9, 3.542180646769333*^9}, {
   3.5421863792601233`*^9, 3.542186432209358*^9}, {3.542213744487433*^9, 
   3.5422137483351183`*^9}, {3.542213803515491*^9, 3.542213842224629*^9}, 
   3.542213894839723*^9, {3.542226378698906*^9, 3.542226378803248*^9}, {
   3.5423903928451366`*^9, 3.542390399323202*^9}, {3.542390544324112*^9, 
   3.542390547746601*^9}},
 CellTags->"Update"]
}, Closed]],

Cell[CellGroupData[{

Cell["Nash Equilibria", "Subsection",
 CellChangeTimes->{{3.5424868555691767`*^9, 3.542486858894493*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqSolutionField", "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Rationalize", "[", 
      RowBox[{"SmithField", "[", 
       RowBox[{"game", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
      RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.54248436033755*^9, {3.542484421706575*^9, 3.5424844269296703`*^9}, {
   3.542484476258062*^9, 3.5424846166504374`*^9}, 3.542615211075817*^9, {
   3.5426156318293657`*^9, 3.5426156320473967`*^9}, {3.54261590401198*^9, 
   3.542615913859872*^9}, 3.5426159766100473`*^9},
 CellTags->"Update"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"equilibriumData", "=", 
   RowBox[{
    RowBox[{"Solve", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
        "eqSolutionField", "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "eqSolutionField", "\[LeftDoubleBracket]", "2", 
         "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "//", "Simplify"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.542473963008532*^9, 3.542473970221987*^9}, {
   3.542474010449006*^9, 3.542474120531816*^9}, {3.5424741677248573`*^9, 
   3.5424742009944677`*^9}, {3.542474387313345*^9, 3.5424743923677387`*^9}, {
   3.542474445433361*^9, 3.542474447591016*^9}, {3.542475271043832*^9, 
   3.54247527901488*^9}, 3.542483204591477*^9, {3.542484350818185*^9, 
   3.542484367056931*^9}, {3.5424844046018476`*^9, 3.54248440518561*^9}, {
   3.542484489401596*^9, 3.542484492785935*^9}, {3.542484556419252*^9, 
   3.542484566066865*^9}, {3.542484596610721*^9, 3.542484600025505*^9}, {
   3.542484682366424*^9, 3.542484687886156*^9}, 3.542484738383314*^9, {
   3.542615218453298*^9, 3.542615248467042*^9}, {3.5426155466592703`*^9, 
   3.542615547226008*^9}, {3.542615614602684*^9, 3.5426156204318933`*^9}, {
   3.5426157334335546`*^9, 3.5426157342490788`*^9}, {3.5426158161368217`*^9, 
   3.542615832488119*^9}, {3.542615879305111*^9, 3.542615893555917*^9}, 
   3.5426159342350683`*^9, {3.542615986481481*^9, 3.542616029715825*^9}, {
   3.542616081412615*^9, 3.54261609430836*^9}, {3.542616175272099*^9, 
   3.542616190926886*^9}, 3.542616250501177*^9, {3.5428016126254587`*^9, 
   3.542801614981855*^9}, {3.542802220533986*^9, 3.5428022498611917`*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470146036*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470147028*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LessEqual", "::", "nord"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Invalid comparison with \[NoBreak]\\!\\(ComplexInfinity\\)\
\[NoBreak] attempted. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/nord\\\", ButtonNote -> \
\\\"LessEqual::nord\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.60327947014783*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470148593*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Power :: \
infy\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.6032794701493597`*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LessEqual", "::", "nord"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Invalid comparison with \[NoBreak]\\!\\(ComplexInfinity\\)\
\[NoBreak] attempted. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/nord\\\", ButtonNote -> \
\\\"LessEqual::nord\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470150155*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"GreaterEqual", "::", "nord"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Invalid comparison with \[NoBreak]\\!\\(ComplexInfinity\\)\
\[NoBreak] attempted. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/nord\\\", ButtonNote -> \
\\\"GreaterEqual::nord\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470150958*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Less", "::", "nord"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Invalid comparison with \[NoBreak]\\!\\(ComplexInfinity\\)\
\[NoBreak] attempted. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/nord\\\", ButtonNote -> \
\\\"Less::nord\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470151784*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"GreaterEqual", "::", "nord"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Invalid comparison with \[NoBreak]\\!\\(ComplexInfinity\\)\
\[NoBreak] attempted. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/nord\\\", ButtonNote -> \
\\\"GreaterEqual::nord\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.542876027805993*^9, {3.5428764078393717`*^9, 3.542876428999846*^9}, {
   3.5428789513915577`*^9, 3.542878990935361*^9}, 3.543177198394351*^9, 
   3.543177254921131*^9, {3.543177292599951*^9, 3.543177337501305*^9}, 
   3.5431773759345512`*^9, {3.543177408860196*^9, 3.5431774825742283`*^9}, {
   3.543177538909987*^9, 3.5431775915918703`*^9}, {3.543177791776952*^9, 
   3.5431778060351133`*^9}, {3.543177840993362*^9, 3.543177893733185*^9}, {
   3.543178047613854*^9, 3.543178088591446*^9}, {3.543178127493004*^9, 
   3.543178232234467*^9}, {3.543178277031899*^9, 3.543178339992591*^9}, {
   3.5431784173849163`*^9, 3.543178486241637*^9}, {3.54317854707992*^9, 
   3.543178556311264*^9}, 3.543178610834255*^9, {3.544127694320817*^9, 
   3.5441277076332407`*^9}, 3.6032784987519693`*^9, 3.603278581669058*^9, {
   3.6032786575378313`*^9, 3.603278687144888*^9}, {3.603278755861808*^9, 
   3.6032787829216137`*^9}, {3.603278852124276*^9, 3.603279101149426*^9}, {
   3.60327914349133*^9, 3.6032792436409693`*^9}, {3.6032792881111317`*^9, 
   3.603279306021965*^9}, 3.603279347326473*^9, {3.603279458938202*^9, 
   3.603279470152589*^9}},
 CellTags->"Update"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"equilibria", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xFlag", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yFlag", "=", "False"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Clear", "[", "t", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tempEquilibriumData", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tempEquilibrium", "=", 
   RowBox[{"Graphics", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xFlag", "=", "False"}], ";", "\[IndentingNewLine]", 
     RowBox[{"yFlag", "=", "False"}], ";", "\[IndentingNewLine]", 
     RowBox[{"tempEquilibriumData", "=", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], "/.", "solution"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Set", "[", 
      RowBox[{"xFlag", ",", 
       RowBox[{"x", "===", 
        RowBox[{
        "tempEquilibriumData", "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Set", "[", 
      RowBox[{"yFlag", ",", 
       RowBox[{"y", "===", 
        RowBox[{
        "tempEquilibriumData", "\[LeftDoubleBracket]", "2", 
         "\[RightDoubleBracket]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"tempEquilibriumData", "=", 
      RowBox[{"tempEquilibriumData", "/.", 
       RowBox[{
        RowBox[{"Which", "[", 
         RowBox[{"xFlag", ",", "x", ",", "yFlag", ",", "y"}], "]"}], 
        "\[Rule]", "t"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"xFlag", "~", "Or", "~", "yFlag"}], ",", "\[IndentingNewLine]", 
       RowBox[{"tempEquilibrium", "=", 
        RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
         RowBox[{"tempEquilibriumData", ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Axes", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"equilibriumColor", ",", 
             RowBox[{
             "AbsoluteThickness", "[", "equilibriumThickness", "]"}]}], 
            "}"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".025"}], ",", "1.025"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "0.025"}], ",", "1.025"}], "}"}]}], "}"}]}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"tempEquilibrium", "=", 
        RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"equilibriumColor", ",", 
           RowBox[{"AbsolutePointSize", "[", 
            RowBox[{"3", "equilibriumThickness"}], "]"}], ",", 
           RowBox[{"Point", "[", "tempEquilibriumData", "]"}]}], "}"}], 
         "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"equilibria", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"equilibria", ",", "tempEquilibrium"}], "]"}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"solution", ",", "equilibriumData"}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.54248000072121*^9, 3.5424800347697353`*^9}, {
   3.5424801044427853`*^9, 3.542480261310246*^9}, {3.5424802914227657`*^9, 
   3.542480300838307*^9}, {3.542480445006494*^9, 3.542480447725862*^9}, {
   3.542480561246901*^9, 3.542480602476618*^9}, {3.5424806410128202`*^9, 
   3.54248069628629*^9}, {3.542481117080558*^9, 3.542481145484334*^9}, {
   3.542481179873219*^9, 3.542481226384264*^9}, {3.542481266335753*^9, 
   3.542481287329588*^9}, {3.542481318339978*^9, 3.54248133340397*^9}, {
   3.542481376340596*^9, 3.542481400540477*^9}, {3.5424817228361273`*^9, 
   3.542481802089809*^9}, {3.5424818329772253`*^9, 3.542481835805605*^9}, {
   3.542481869869371*^9, 3.542481929647828*^9}, 3.542481967214519*^9, {
   3.54248201195691*^9, 3.542482012937138*^9}, {3.5424821196406403`*^9, 
   3.54248255527812*^9}, {3.542482603548888*^9, 3.5424826125705147`*^9}, {
   3.542482654102983*^9, 3.54248268136687*^9}, {3.54248271360753*^9, 
   3.5424827191753807`*^9}, {3.5424827522789803`*^9, 3.54248295540178*^9}, {
   3.5424830365519323`*^9, 3.542483092090087*^9}, {3.542483139683672*^9, 
   3.542483163539299*^9}, {3.542483221347423*^9, 3.542483245145556*^9}, {
   3.5424832769962597`*^9, 3.5424833698742857`*^9}, {3.542483449128585*^9, 
   3.5424834796529284`*^9}, {3.542483581737952*^9, 3.5424836236290607`*^9}, {
   3.542483815932023*^9, 3.542484005948892*^9}, {3.542484107614324*^9, 
   3.542484120416608*^9}, {3.5424841721964293`*^9, 3.542484181210655*^9}, 
   3.542487443844269*^9, 3.542487928907592*^9, {3.5425438281431723`*^9, 
   3.542543872730747*^9}, {3.542610683279365*^9, 3.542610696941289*^9}, {
   3.542610830890613*^9, 3.542610839674343*^9}, 3.542616898312704*^9, {
   3.5428016195207233`*^9, 3.542801621384596*^9}, {3.5428104910957127`*^9, 
   3.542810545238497*^9}},
 CellTags->"Update"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamics Elements", "Section",
 CellChangeTimes->{{3.541973739126882*^9, 3.541973746890719*^9}, {
   3.542019706963681*^9, 3.5420197118431473`*^9}, 3.542020007338274*^9, {
   3.5420219048905897`*^9, 3.542021909479385*^9}, {3.542022354017336*^9, 
   3.542022354713022*^9}, {3.542198076084317*^9, 3.542198077043992*^9}, {
   3.5422123065232763`*^9, 3.5422123087720118`*^9}, {3.542543227928959*^9, 
   3.542543232673335*^9}, {3.54254338607668*^9, 3.542543386273446*^9}, {
   3.542546737357017*^9, 3.542546743063611*^9}, {3.5425470812260437`*^9, 
   3.542547083598104*^9}, {3.542616811390334*^9, 3.5426168179021177`*^9}, {
   3.542622807501491*^9, 3.542622825290758*^9}, {3.542625382338438*^9, 
   3.5426253832501097`*^9}, {3.5426299606213703`*^9, 3.542629964564961*^9}},
 CellTags->"Update"],

Cell[CellGroupData[{

Cell["Initial points", "Subsection",
 CellChangeTimes->{{3.541973739126882*^9, 3.541973746890719*^9}, {
   3.542019706963681*^9, 3.5420197118431473`*^9}, 3.542020007338274*^9, 
   3.542112222849593*^9, {3.542127132671523*^9, 3.542127136245083*^9}, {
   3.542212377374098*^9, 3.542212377611106*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"standardLatticePoints", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Rationalize", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "1", ",", "dx"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "0", ",", "1", ",", "dy"}], "}"}]}], "]"}], ",", 
     "1"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.542451968384109*^9, 3.542451973526267*^9}, {
  3.542463921658177*^9, 3.542463922489452*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"latticePoints", "=", 
   RowBox[{"If", "[", "\[IndentingNewLine]", 
    RowBox[{
    "customLatticeQ", ",", "\[IndentingNewLine]", "customLatticePoints", ",", 
     "\[IndentingNewLine]", "standardLatticePoints"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.542451848565358*^9, 3.542451894641856*^9}, {
   3.542451939391713*^9, 3.542451950798362*^9}, 3.542458680402206*^9, {
   3.5424627869487267`*^9, 3.542462788764382*^9}, {3.542463925443426*^9, 
   3.542463928775661*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"lattice", "=", 
   RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Append", "[", "\[IndentingNewLine]", 
       RowBox[{"latticePointStyle", ",", "\[IndentingNewLine]", 
        RowBox[{"Point", "[", "point", "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"point", ",", "latticePoints"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.541973747893673*^9, 3.54197394736309*^9}, {
   3.5419740018061028`*^9, 3.54197402698949*^9}, {3.5419752883878393`*^9, 
   3.541975308687376*^9}, {3.54197538948652*^9, 3.541975391728218*^9}, {
   3.541975528360429*^9, 3.541975536237533*^9}, {3.5419756325795813`*^9, 
   3.541975670421009*^9}, {3.542017997057296*^9, 3.5420179973068457`*^9}, {
   3.542018071065805*^9, 3.542018110666966*^9}, {3.542018195447939*^9, 
   3.5420181959834757`*^9}, {3.542055706370264*^9, 3.5420557077539062`*^9}, 
   3.542112222851565*^9, {3.542127187327066*^9, 3.5421271892851458`*^9}, {
   3.542139582716591*^9, 3.5421395977727203`*^9}, {3.542139635109454*^9, 
   3.542139658995536*^9}, {3.542139701086567*^9, 3.54213971649809*^9}, 
   3.5421397540911283`*^9, {3.5421398313079443`*^9, 3.5421398367934732`*^9}, {
   3.5421764441685467`*^9, 3.5421764975108232`*^9}, {3.542193810547719*^9, 
   3.542193821024321*^9}, {3.5421947076096354`*^9, 3.54219471230337*^9}, {
   3.5421948285926733`*^9, 3.5421948415598183`*^9}, {3.54220929258672*^9, 
   3.5422092927929573`*^9}, {3.542396183002981*^9, 3.542396183395982*^9}, {
   3.542396921948892*^9, 3.542396935253104*^9}, {3.54239697214039*^9, 
   3.542396977044133*^9}, {3.542397334493744*^9, 3.5423973397396803`*^9}, {
   3.542397522746365*^9, 3.5423975260678997`*^9}, {3.542397561982946*^9, 
   3.542397572027905*^9}, {3.5423981810195704`*^9, 3.542398182297724*^9}, {
   3.542399133732897*^9, 3.5423991372191563`*^9}, {3.542399190817195*^9, 
   3.5423992049739113`*^9}, {3.542399372999793*^9, 3.542399378915573*^9}, {
   3.542399430977583*^9, 3.5423994503736877`*^9}, 3.542399513040164*^9, {
   3.542399600290657*^9, 3.542399604455158*^9}, {3.542401117435499*^9, 
   3.542401125826447*^9}, {3.5424870259714603`*^9, 3.5424870274089203`*^9}, {
   3.5426094119375277`*^9, 3.542609413026977*^9}},
 CellTags->"Update"]
}, Closed]],

Cell[CellGroupData[{

Cell["Dynamics", "Subsection",
 CellChangeTimes->{{3.542546718811331*^9, 3.542546728497911*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"xTemp", ",", "yTemp", ",", "xScoreTemp", ",", "yScoreTemp"}], 
  "]"}]], "Input",
 InitializationCell->True,
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "tempSimplexField", ",", "\[IndentingNewLine]", 
     "tempScoreFieldSimplexVariables", ",", "\[IndentingNewLine]", 
     "tempScoreField"}], "}"}], "=", "\[IndentingNewLine]", 
   RowBox[{"Rationalize", "[", "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", "\[IndentingNewLine]", 
     RowBox[{
     "dynamics", ",", "\[IndentingNewLine]", "\"\<Replicator\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"ReplicatorField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"ReplicatorScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"ReplicatorScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{"{", 
              RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<MaynardSmith\>\"", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"MaynardSmithField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"MaynardSmithScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"MaynardSmithScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{"{", 
              RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<Smith\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"SmithField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"SmithScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"SmithScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{"{", 
              RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<BNN\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"BNNField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"BNNScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"BNNScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{"{", 
              RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<Logit\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"LogitField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}], ",", "temperature"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"LogitScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}], ",", "temperature"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"LogitScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], ",", 
              "temperature"}], "]"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<ImitativeLogit\>\"",
       ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"ImitativeLogitField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}], ",", "temperature"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"ImitativeLogitScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}], ",", "temperature"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"ImitativeLogitScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], ",", 
              "temperature"}], "]"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<Entropic\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"EntropicField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}], ",", "temperature"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"EntropicScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"{", 
             RowBox[{"xTemp", ",", "yTemp"}], "}"}], ",", "temperature"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"EntropicScoreField", "[", 
           RowBox[{"game", ",", 
            RowBox[{"Expit", "[", 
             RowBox[{"{", 
              RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], "]"}], ",", 
            "temperature"}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\"\<Custom\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"CustomField", "[", 
           RowBox[{"xTemp", ",", "yTemp"}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"CustomScoreField", "[", 
           RowBox[{"xTemp", ",", "yTemp"}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"CustomScoreField", "@@", 
           RowBox[{"Expit", "[", 
            RowBox[{"{", 
             RowBox[{"xScoreTemp", ",", "yScoreTemp"}], "}"}], "]"}]}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->CompressedData["
1:eJwdzlsog3EABfC5i9KSa5ZcUyKUokxuJS+E5pIkW5vN9UNuqa1RHmShpS93
iaWtKZe554tsT0b7EJJNyYN4QGEs4X/2cPq9nFMnUkSVSlw5HE4kCXTRDAyG
iJ9yZPUCFbzd1E3DpDvhPFRb5zbhr5Ldgtw13SU0F2muoA9tsEF/9v0etmsu
XiF/pMYBPawUFUr8zhzvhAq/rD64KNp2qrO1rcQTedroNchflWxBgZvOKZM1
xsDG1plTuPQoMeQSHx+4G/DH17xcTjRKz1Zgb4E4o4IYKNjLhR2UbL+SePBM
H8Bku9UIZesBJpjO7a9tIRoYTzGsaFR9QOFkgx1GeO98yInSfP4XTE2iyweJ
9PJ5JfRzcdQPEY9GOc0wm3IMwdluiwoatCY17Eo7pWFitTJwmMievAVDR5B+
Qk0Mj3udgrwS3wWYUFbldPqH0cLPCYUeFsUYGdjTfn3o3LFzx9DyIjZDK1vi
qieGxGa7w92UmTATfnk18aAoSp4Hbz6HC2Fx/t+7fx3pexTY4T9BkwtL
  "],
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SimplexField", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"tempSimplexField", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xTemp", "\[Rule]", "x"}], ",", 
      RowBox[{"yTemp", "\[Rule]", "y"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SimplexField", "[", "vec_", "]"}], ":=", 
   RowBox[{"SimplexField", "[", 
    RowBox[{
     RowBox[{"vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
     ",", 
     RowBox[{"vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5422707491746607`*^9, 3.542270827317136*^9}, {
   3.5422709050308104`*^9, 3.542270978560856*^9}, 3.542271028329376*^9, {
   3.5422927028200817`*^9, 3.542292711610738*^9}, 3.54236945288232*^9, {
   3.5423709692727137`*^9, 3.542370982657744*^9}, {3.542371024023201*^9, 
   3.542371028886553*^9}},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"xField", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
    "tempSimplexField", "\[LeftDoubleBracket]", "1", 
     "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xTemp", "\[Rule]", "x"}], ",", 
      RowBox[{"yTemp", "\[Rule]", "y"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xField", "[", "vec_", "]"}], ":=", 
   RowBox[{"xField", "[", 
    RowBox[{
     RowBox[{"vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
     ",", 
     RowBox[{"vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542270983576295*^9, 3.5422710283296223`*^9}, 
   3.542369452882476*^9},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"yField", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
    "tempSimplexField", "\[LeftDoubleBracket]", "2", 
     "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xTemp", "\[Rule]", "x"}], ",", 
      RowBox[{"yTemp", "\[Rule]", "y"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yField", "[", "vec_", "]"}], ":=", 
   RowBox[{"yField", "[", 
    RowBox[{
     RowBox[{"vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
     ",", 
     RowBox[{"vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5422710124934177`*^9, 3.5422710283297777`*^9}, {
   3.542292714114534*^9, 3.542292715340056*^9}, 3.542369452882617*^9},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SimplexEvolution", "[", 
    RowBox[{"x0_", ",", "y0_"}], "]"}], ":=", 
   RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
    RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{"xField", "[", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"y", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{"yField", "[", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SimplexEvolution", "[", "point_", "]"}], ":=", 
   RowBox[{"SimplexEvolution", "[", 
    RowBox[{
     RowBox[{"point", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
     ",", 
     RowBox[{
     "point", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542132898648261*^9, 3.542132911535975*^9}, {
   3.542133108779245*^9, 3.542133154054493*^9}, {3.542133263609095*^9, 
   3.5421332951390944`*^9}, {3.5421333945386887`*^9, 
   3.5421334368174763`*^9}, {3.5421338948289843`*^9, 3.542133895604802*^9}, {
   3.542134318883976*^9, 3.542134319249484*^9}, {3.542138295638682*^9, 
   3.542138320610894*^9}, {3.542138412155487*^9, 3.542138415338314*^9}, {
   3.5421412683961267`*^9, 3.542141276666377*^9}, 3.542141308459614*^9, 
   3.5421777543316383`*^9, 3.542188168232554*^9, {3.542271049645527*^9, 
   3.5422710533354387`*^9}},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tempScoreFieldCases", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Simplify", "[", "\[IndentingNewLine]", 
      RowBox[{"tempScoreFieldSimplexVariables", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xTemp", "\[Rule]", 
          RowBox[{"Expit", "[", "xScore", "]"}]}], ",", 
         RowBox[{"yTemp", "\[Rule]", 
          RowBox[{"Expit", "[", "yScore", "]"}]}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"xScore", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]", ",", 
         "xScoreTemp"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"yScore", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]", ",", 
         "yScoreTemp"}], "}"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScoreField", "[", 
    RowBox[{"xScore_", ",", "yScore_"}], "]"}], ":=", 
   RowBox[{"Switch", "[", "\[IndentingNewLine]", 
    RowBox[{"xScore", ",", "\[IndentingNewLine]", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Switch", "[", "\[IndentingNewLine]", 
      RowBox[{"yScore", ",", "\[IndentingNewLine]", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}], ",", 
       "\[IndentingNewLine]", "\[Infinity]", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}], ",", 
       "\[IndentingNewLine]", "_", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "3"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[Infinity]", ",", "\[IndentingNewLine]", 
     RowBox[{"Switch", "[", "\[IndentingNewLine]", 
      RowBox[{"yScore", ",", "\[IndentingNewLine]", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}], ",", 
       "\[IndentingNewLine]", "\[Infinity]", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}], ",", 
       "\[IndentingNewLine]", "_", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "3"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", "_", ",", "\[IndentingNewLine]", 
     RowBox[{"Switch", "[", "\[IndentingNewLine]", 
      RowBox[{"yScore", ",", "\[IndentingNewLine]", 
       RowBox[{"-", "\[Infinity]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"3", ",", "1"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"xScoreTemp", "\[Rule]", "xScore"}]}], ",", 
       "\[IndentingNewLine]", "\[Infinity]", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"3", ",", "2"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"xScoreTemp", "\[Rule]", "xScore"}]}], ",", 
       "\[IndentingNewLine]", "_", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tempScoreFieldCases", "\[LeftDoubleBracket]", 
         RowBox[{"3", ",", "3"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"xScoreTemp", "\[Rule]", "xScore"}], ",", 
          RowBox[{"yScoreTemp", "\[Rule]", "yScore"}]}], "}"}]}]}], "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScoreField", "[", "vec_", "]"}], ":=", 
   RowBox[{"ScoreField", "@@", "vec"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542282939033371*^9, 3.5422829679510403`*^9}, {
  3.542283117455587*^9, 3.542283125748002*^9}, {3.542284754565652*^9, 
  3.542284807069248*^9}, {3.542284937412427*^9, 3.542285194901607*^9}, {
  3.542285317750811*^9, 3.542285368640562*^9}, {3.542285516705101*^9, 
  3.542285563495582*^9}, {3.542292335796998*^9, 3.542292336525188*^9}, {
  3.542292384727647*^9, 3.5422924313067913`*^9}},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Wx", "[", "vec_", "]"}], ":=", 
   RowBox[{
    RowBox[{"ScoreField", "[", "vec", "]"}], "\[LeftDoubleBracket]", "1", 
    "\[RightDoubleBracket]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wy", "[", "vec_", "]"}], ":=", 
   RowBox[{
    RowBox[{"ScoreField", "[", "vec", "]"}], "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wx", "[", 
    RowBox[{"xScore_", ",", "yScore_"}], "]"}], ":=", 
   RowBox[{"Wx", "[", 
    RowBox[{"{", 
     RowBox[{"xScore", ",", "yScore"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wy", "[", 
    RowBox[{"xScore_", ",", "yScore_"}], "]"}], ":=", 
   RowBox[{"Wy", "[", 
    RowBox[{"{", 
     RowBox[{"xScore", ",", "yScore"}], "}"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.542176227766418*^9, 3.5421762453197613`*^9}, {
   3.5421771797460003`*^9, 3.542177194945427*^9}, 3.5421777469958487`*^9, 
   3.54218816533715*^9},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ScoreEvolution", "[", 
    RowBox[{"xScore0_", ",", "yScore0_"}], "]"}], ":=", 
   RowBox[{"Switch", "[", "\[IndentingNewLine]", 
    RowBox[{
    "order", ",", "\[IndentingNewLine]", "1", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"First", " ", "Order", " ", "Dynamics"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"xScore0", "\[NotEqual]", 
         RowBox[{"-", "\[Infinity]"}]}], "&&", 
        RowBox[{"xScore0", "\[NotEqual]", "\[Infinity]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"yScore0", "\[NotEqual]", 
           RowBox[{"-", "\[Infinity]"}]}], "&&", 
          RowBox[{"yScore0", "\[NotEqual]", "\[Infinity]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"Both", " ", "scores", " ", "finite"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
          RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"xScore", "'"}], "[", "t", "]"}], "\[Equal]", 
               RowBox[{"Wx", "[", 
                RowBox[{
                 RowBox[{"xScore", "[", "t", "]"}], ",", 
                 RowBox[{"yScore", "[", "t", "]"}]}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"yScore", "'"}], "[", "t", "]"}], "\[Equal]", 
               RowBox[{"Wy", "[", 
                RowBox[{
                 RowBox[{"xScore", "[", "t", "]"}], ",", 
                 RowBox[{"yScore", "[", "t", "]"}]}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"xScore", "[", "0", "]"}], "\[Equal]", "xScore0"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"yScore", "[", "0", "]"}], "\[Equal]", "yScore0"}]}], 
             "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"xScore", ",", "yScore"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], "]"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"xScore", " ", "finite"}], ",", " ", 
           RowBox[{"yScore", " ", "infinite"}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Part", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"xScore", "'"}], "[", "t", "]"}], "\[Equal]", 
                  RowBox[{"Wx", "[", 
                   RowBox[{
                    RowBox[{"xScore", "[", "t", "]"}], ",", "yScore0"}], 
                   "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"xScore", "[", "0", "]"}], "\[Equal]", 
                  "xScore0"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", "xScore", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], ",", 
             "1", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"yScore", "\[Rule]", 
            RowBox[{"Function", "[", "yScore0", "]"}]}]}], "}"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"yScore0", "\[NotEqual]", 
           RowBox[{"-", "\[Infinity]"}]}], "&&", 
          RowBox[{"yScore0", "\[NotEqual]", "\[Infinity]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"xScore", " ", "infinite"}], ",", " ", 
           RowBox[{"yScore", " ", "finite"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xScore", "\[Rule]", 
            RowBox[{"Function", "[", "xScore0", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Part", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"yScore", "'"}], "[", "t", "]"}], "\[Equal]", 
                  RowBox[{"Wy", "[", 
                   RowBox[{"xScore0", ",", 
                    RowBox[{"yScore", "[", "t", "]"}]}], "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"yScore", "[", "0", "]"}], "\[Equal]", 
                  "yScore0"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", "yScore", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], ",", 
             "1", ",", "1"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"Both", " ", "scores", " ", "infinite"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xScore", "\[Rule]", 
            RowBox[{"Function", "[", "xScore0", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"yScore", "\[Rule]", 
            RowBox[{"Function", "[", "yScore0", "]"}]}]}], "}"}]}], "]"}]}], 
      "]"}], ",", "\[IndentingNewLine]", "2", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"Second", " ", "Order", " ", "Dynamics"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"xScore0", "\[NotEqual]", 
         RowBox[{"-", "\[Infinity]"}]}], "&&", 
        RowBox[{"xScore0", "\[NotEqual]", "\[Infinity]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"yScore0", "\[NotEqual]", 
           RowBox[{"-", "\[Infinity]"}]}], "&&", 
          RowBox[{"yScore0", "\[NotEqual]", "\[Infinity]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"Both", " ", "scores", " ", "finite"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
          RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"xScore", "''"}], "[", "t", "]"}], "\[Equal]", 
               RowBox[{"Wx", "[", 
                RowBox[{
                 RowBox[{"xScore", "[", "t", "]"}], ",", 
                 RowBox[{"yScore", "[", "t", "]"}]}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"yScore", "''"}], "[", "t", "]"}], "\[Equal]", 
               RowBox[{"Wy", "[", 
                RowBox[{
                 RowBox[{"xScore", "[", "t", "]"}], ",", 
                 RowBox[{"yScore", "[", "t", "]"}]}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"xScore", "[", "0", "]"}], "\[Equal]", "xScore0"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"xScore", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"yScore", "[", "0", "]"}], "\[Equal]", "yScore0"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"yScore", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}],
              "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"xScore", ",", "yScore"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], "]"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"xScore", " ", "finite"}], ",", " ", 
           RowBox[{"yScore", " ", "infinite"}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Part", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"xScore", "''"}], "[", "t", "]"}], "\[Equal]", 
                  RowBox[{"Wx", "[", 
                   RowBox[{
                    RowBox[{"xScore", "[", "t", "]"}], ",", "yScore0"}], 
                   "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"xScore", "[", "0", "]"}], "\[Equal]", "xScore0"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"xScore", "'"}], "[", "0", "]"}], "\[Equal]", 
                  "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", "xScore", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], ",", 
             "1", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"yScore", "\[Rule]", 
            RowBox[{"Function", "[", "yScore0", "]"}]}]}], "}"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"yScore0", "\[NotEqual]", 
           RowBox[{"-", "\[Infinity]"}]}], "&&", 
          RowBox[{"yScore0", "\[NotEqual]", "\[Infinity]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"xScore", " ", "infinite"}], ",", " ", 
           RowBox[{"yScore", " ", "finite"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xScore", "\[Rule]", 
            RowBox[{"Function", "[", "xScore0", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Part", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"yScore", "''"}], "[", "t", "]"}], "\[Equal]", 
                  RowBox[{"Wy", "[", 
                   RowBox[{"xScore0", ",", 
                    RowBox[{"yScore", "[", "t", "]"}]}], "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"yScore", "[", "0", "]"}], "\[Equal]", "yScore0"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"yScore", "'"}], "[", "0", "]"}], "\[Equal]", 
                  "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", "yScore", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0", ",", "time"}], "}"}]}], "]"}], ",", 
             "1", ",", "1"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"Both", " ", "scores", " ", "infinite"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xScore", "\[Rule]", 
            RowBox[{"Function", "[", "xScore0", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"yScore", "\[Rule]", 
            RowBox[{"Function", "[", "yScore0", "]"}]}]}], "}"}]}], "]"}]}], 
      "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScoreEvolution", "[", "point_", "]"}], ":=", 
   RowBox[{"ScoreEvolution", "[", 
    RowBox[{
     RowBox[{"point", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
     ",", 
     RowBox[{
     "point", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5421924306793327`*^9, 3.5421925009405746`*^9}, {
  3.542192570917185*^9, 3.542192671924341*^9}, {3.5421927702001057`*^9, 
  3.542192790871706*^9}, {3.542192821491879*^9, 3.542192927783847*^9}, {
  3.542192978217305*^9, 3.5421930399515123`*^9}, {3.542193102540421*^9, 
  3.542193103424856*^9}, {3.542193138611309*^9, 3.5421931715436993`*^9}, {
  3.5421934586049013`*^9, 3.54219369031431*^9}, {3.542193741905671*^9, 
  3.542193743710476*^9}, {3.542194048912592*^9, 3.542194092642758*^9}, {
  3.54219412778865*^9, 3.542194154844367*^9}, {3.542195106836323*^9, 
  3.542195182480794*^9}, {3.542196012883984*^9, 3.542196147305183*^9}, {
  3.542196803863124*^9, 3.5421968151246977`*^9}, {3.542196996151884*^9, 
  3.542197011375464*^9}},
 CellTags->"Update"]
}, Closed]],

Cell[CellGroupData[{

Cell["Orbits", "Subsection",
 CellChangeTimes->{{3.5421980570451403`*^9, 3.542198061484343*^9}, {
  3.5422122965341883`*^9, 3.5422123145080214`*^9}, {3.5422928376725817`*^9, 
  3.54229283784874*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", "\[IndentingNewLine]", 
   RowBox[{"calculateOrbitsFlag", ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"If", " ", "asked", " ", "to", " ", "calculate", " ", "orbits"}],
      "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"solutionData", "=", 
      RowBox[{"Switch", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ImitationQ", "[", "dynamics", "]"}], ",", 
        "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Table", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{
              RowBox[{"Clip", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"xScore", "[", "t", "]"}], ",", 
                  RowBox[{"yScore", "[", "t", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "plotclip"}], ",", "plotclip"}], "}"}]}], 
               "]"}], "/.", 
              RowBox[{"ScoreEvolution", "[", "point", "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", "time", ",", 
              RowBox[{"time", "/", "resolution"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"point", ",", 
            RowBox[{"Logit", "[", "latticePoints", "]"}]}], "}"}]}], "]"}], 
        ",", "\[IndentingNewLine]", "False", ",", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Table", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], ",", 
                RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", 
              RowBox[{"SimplexEvolution", "[", "point", "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", "time", ",", 
              RowBox[{"time", "/", "resolution"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"point", ",", "latticePoints"}], "}"}]}], "]"}]}], "]"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"orbitsData", "=", 
      RowBox[{"Switch", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ImitationQ", "[", "dynamics", "]"}], ",", 
        "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"Expit", "[", "solutionData", "]"}], ",", "plotchop"}], 
         "]"}], ",", "\[IndentingNewLine]", "False", ",", 
        "\[IndentingNewLine]", "solutionData"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"orbits", "=", 
      RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Append", "[", 
          RowBox[{"orbitStyle", ",", 
           RowBox[{"Line", "[", 
            RowBox[{
            "orbitsData", "\[LeftDoubleBracket]", "iPoint", 
             "\[RightDoubleBracket]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"iPoint", ",", 
           RowBox[{"Length", "[", "latticePoints", "]"}]}], "}"}]}], "]"}], 
       "]"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "If", " ", "not", " ", "asked", " ", "to", " ", "calculate", " ", 
      "orbits"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"orbits", "=", 
     RowBox[{"{", "}"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.542547215678782*^9, 3.542547288120245*^9}, {
  3.5425473343008833`*^9, 3.542547338405348*^9}, {3.5425473792754917`*^9, 
  3.5425473801894712`*^9}, {3.542616366417315*^9, 3.542616416109304*^9}, {
  3.5426325141679993`*^9, 3.542632517222272*^9}},
 CellTags->"Update"]
}, Closed]],

Cell[CellGroupData[{

Cell["Rest Points", "Subsection",
 CellChangeTimes->{{3.542486939790722*^9, 3.542486941268567*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", "\[IndentingNewLine]", 
   RowBox[{"calculateRestpointsFlag", ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "If", " ", "asked", " ", "to", " ", "calculate", " ", "restpoints"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"restSolutionField", "=", 
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"OnlyInteriorRestpointsQ", "[", "dynamics", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"Rationalize", "[", 
           RowBox[{"SimplexField", "[", 
            RowBox[{"x", ",", "y"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "<", "x", "<", "1"}], "&&", 
           RowBox[{"0", "<", "y", "<", "1"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"FullSimplify", "[", 
         RowBox[{
          RowBox[{"Rationalize", "[", 
           RowBox[{"SimplexField", "[", 
            RowBox[{"x", ",", "y"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}]}], 
         "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"restpointsData", "=", 
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"OnlyInteriorRestpointsQ", "[", "dynamics", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"NSolve", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
            "restSolutionField", "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "&&", 
           RowBox[{
            RowBox[{
            "restSolutionField", "\[LeftDoubleBracket]", "2", 
             "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "&&", 
           RowBox[{"0", "<", "x", "<", "1"}], "&&", 
           RowBox[{"0", "<", "y", "<", "1"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "Reals"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"NSolve", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
            "restSolutionField", "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "&&", 
           RowBox[{
            RowBox[{
            "restSolutionField", "\[LeftDoubleBracket]", "2", 
             "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "x", "\[LessEqual]", "1"}], "&&", 
           RowBox[{"0", "\[LessEqual]", "y", "\[LessEqual]", "1"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "Reals"}], "]"}]}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"restpoints", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"xFlag", "=", "False"}], ";", "\[IndentingNewLine]", 
     RowBox[{"yFlag", "=", "False"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Clear", "[", "t", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"tempRestpointsData", "=", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"tempRestpoint", "=", 
      RowBox[{"Graphics", "[", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"xFlag", "=", "False"}], ";", "\[IndentingNewLine]", 
        RowBox[{"yFlag", "=", "False"}], ";", "\[IndentingNewLine]", 
        RowBox[{"tempRestpointsData", "=", 
         RowBox[{
          RowBox[{"Evaluate", "[", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], "]"}], "/.", "solution"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Set", "[", 
         RowBox[{"xFlag", ",", 
          RowBox[{"x", "===", 
           RowBox[{
           "tempRestpointsData", "\[LeftDoubleBracket]", "1", 
            "\[RightDoubleBracket]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"Set", "[", 
         RowBox[{"yFlag", ",", 
          RowBox[{"y", "===", 
           RowBox[{
           "tempRestpointsData", "\[LeftDoubleBracket]", "2", 
            "\[RightDoubleBracket]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"tempRestpointsData", "=", 
         RowBox[{"tempRestpointsData", "/.", 
          RowBox[{
           RowBox[{"Which", "[", 
            RowBox[{"xFlag", ",", "x", ",", "yFlag", ",", "y"}], "]"}], 
           "\[Rule]", "t"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"xFlag", "~", "Or", "~", "yFlag"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"tempRestpoint", "=", 
           RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
            RowBox[{"tempRestpointsData", ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Axes", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"restColor", ",", 
                RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".025"}], ",", "1.025"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "0.025"}], ",", "1.025"}], "}"}]}], "}"}]}]}], 
            "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"tempRestpoint", "=", 
           RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"LightBlue", ",", 
              RowBox[{"EdgeForm", "[", 
               RowBox[{"{", 
                RowBox[{"restColor", ",", "Thick"}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Disk", "[", 
               RowBox[{"tempRestpointsData", ",", ".006"}], "]"}]}], "}"}], 
            "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"restpoints", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"restpoints", ",", "tempRestpoint"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"solution", ",", "restpointsData"}], "}"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "If", " ", "not", " ", "asked", " ", "to", " ", "calculate", " ", 
      "restpoints"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"restpoints", "=", 
     RowBox[{"{", "}"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.542494746409049*^9, 3.542494824902972*^9}, {
  3.542495085522875*^9, 3.542495085608526*^9}, {3.542520199955538*^9, 
  3.542520224556611*^9}, {3.542520431910466*^9, 3.542520443911634*^9}, {
  3.542520536040552*^9, 3.542520596248122*^9}, {3.542543914163807*^9, 
  3.542543981507468*^9}, {3.5425471595438004`*^9, 3.542547200948715*^9}, {
  3.5426101400482903`*^9, 3.542610143671575*^9}, {3.5426102311546717`*^9, 
  3.542610247976553*^9}, {3.542610322751677*^9, 3.5426103347350397`*^9}, {
  3.5426104065848722`*^9, 3.5426104137375*^9}, {3.5426325210628757`*^9, 
  3.542632523255097*^9}, {3.542703228224576*^9, 3.5427032390405207`*^9}, {
  3.542801670048847*^9, 3.54280167967902*^9}, {3.542801840054347*^9, 
  3.5428018593087597`*^9}, {3.542873764623762*^9, 3.542873818198245*^9}},
 CellTags->"Update"]
}, Closed]],

Cell[CellGroupData[{

Cell["Vectors", "Subsection",
 CellChangeTimes->{{3.542214979760007*^9, 3.542214994053151*^9}, {
  3.542292835171533*^9, 3.542292835561572*^9}},
 CellTags->"Update"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vectorTip", "=", 
   RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"vectorColor", ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{
        RowBox[{"1", "/", "9"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"12", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", 
            RowBox[{"-", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectorShaftLength", "=", 
   RowBox[{"Switch", "[", 
    RowBox[{"order", ",", "1", ",", 
     RowBox[{"Max", "[", 
      RowBox[{"vectorLength", ",", "2"}], "]"}], ",", "2", ",", "2"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectorStyle", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{".04", ",", "Automatic", ",", "vectorTip"}], "}"}], "}"}], 
      "]"}], ",", "vectorColor", ",", 
     RowBox[{"AbsoluteThickness", "[", "vectorThickness", "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.542701589294813*^9, 3.542701751897428*^9}, 
   3.542701889811817*^9, {3.542701951004841*^9, 3.542702006553985*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", "\[IndentingNewLine]", 
   RowBox[{"calculateOrbitsFlag", ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"If", " ", "asked", " ", "to", " ", "calculate", " ", "orbits"}],
      "*)"}], "\[IndentingNewLine]", 
    RowBox[{"vectors", "=", 
     RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"vectorStyle", "~", "Append", "~", 
         RowBox[{"Arrow", "[", 
          RowBox[{"orbit", "\[LeftDoubleBracket]", 
           RowBox[{"Range", "[", 
            RowBox[{"1", ",", "vectorShaftLength"}], "]"}], 
           "\[RightDoubleBracket]"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"orbit", ",", "orbitsData"}], "}"}]}], "]"}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "If", " ", "not", " ", "asked", " ", "to", " ", "calculate", " ", 
      "orbits"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"vectors", "=", 
     RowBox[{"{", "}"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.542216171181116*^9, 3.5422161772165213`*^9}, {
   3.542216253197657*^9, 3.5422162897897367`*^9}, {3.542216507452035*^9, 
   3.542216545938796*^9}, {3.542217206053074*^9, 3.542217207269108*^9}, 
   3.542217584748361*^9, {3.5422176613858023`*^9, 3.542217675465431*^9}, {
   3.542217733828977*^9, 3.542217733900365*^9}, {3.5422178379510307`*^9, 
   3.5422178667860317`*^9}, {3.542218158155311*^9, 3.5422181583121223`*^9}, {
   3.542218263412839*^9, 3.542218283645463*^9}, {3.5423961748274117`*^9, 
   3.542396178091094*^9}, 3.5424920376040697`*^9, 3.542521592566866*^9, {
   3.542543744686099*^9, 3.542543747323908*^9}, {3.542547549917254*^9, 
   3.5425476128237963`*^9}, {3.54262988375078*^9, 3.542629899867798*^9}, {
   3.542629998398426*^9, 3.542630018275869*^9}, {3.542630075100803*^9, 
   3.5426300815447063`*^9}, {3.542630191675498*^9, 3.542630224543803*^9}, {
   3.54263036560119*^9, 3.542630384702276*^9}, {3.5426304989150457`*^9, 
   3.5426305156431227`*^9}, {3.5426306282857637`*^9, 
   3.5426306287873993`*^9}, {3.542630738497334*^9, 3.542630792069543*^9}, {
   3.54263083032003*^9, 3.542630830547817*^9}, {3.542630861076838*^9, 
   3.542630911445272*^9}, {3.542631062794759*^9, 3.542631099601329*^9}, {
   3.542631725718006*^9, 3.542631735079131*^9}, {3.542632526888294*^9, 
   3.542632529767579*^9}, {3.5426328022722387`*^9, 3.542632803191968*^9}, {
   3.542659786774438*^9, 3.542659793381624*^9}, {3.5426606863851347`*^9, 
   3.542660691005835*^9}, {3.542701418376691*^9, 3.54270142283025*^9}, {
   3.5427014722136297`*^9, 3.542701481565474*^9}, {3.5427015355424623`*^9, 
   3.542701535981658*^9}, {3.542701927946762*^9, 3.542701937762417*^9}, {
   3.542702014271976*^9, 3.542702018802779*^9}},
 CellTags->"Update"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Graph Elements", "Section",
 CellChangeTimes->{{3.5423717678258257`*^9, 3.5423717701996317`*^9}, {
  3.542702257398065*^9, 3.5427022694668093`*^9}},
 CellTags->"Update"],

Cell[BoxData[
 RowBox[{
  RowBox[{"graph", "=", 
   RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Nor", "[", "\[IndentingNewLine]", 
         RowBox[{
         "boundaryFlag", ",", "\[IndentingNewLine]", "labelsFlag", ",", 
          "\[IndentingNewLine]", "gridFlag", ",", "\[IndentingNewLine]", 
          "latticeFlag", ",", "\[IndentingNewLine]", "equilibriumFlag", ",", 
          "\[IndentingNewLine]", "showRestpointsFlag", ",", 
          "\[IndentingNewLine]", "showVectorsFlag", ",", 
          "\[IndentingNewLine]", "showOrbitsFlag"}], "]"}], ",", "emptyGraph",
         ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"boundaryFlag", ",", "boundary", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"gridFlag", ",", "grid", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"showOrbitsFlag", ",", "orbits", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"latticeFlag", ",", "lattice", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"showVectorsFlag", ",", "vectors", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"labelsFlag", ",", "labels", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"showRestpointsFlag", ",", "restpoints", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"equilibriumFlag", ",", "equilibria", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Background", "\[Rule]", "White"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"ImageSize", "\[Rule]", "Full"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", "frameLabel"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "14"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".02"}], ",", "1.02"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".02"}], ",", "1.02"}], "}"}]}], "}"}]}]}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5426603812121687`*^9, 3.542660386188344*^9}, {
  3.542660466119872*^9, 3.542660473417418*^9}, {3.542694095829739*^9, 
  3.542694116044038*^9}, {3.542694597360261*^9, 3.542694603500924*^9}, {
  3.5426946368704967`*^9, 3.542694638111352*^9}, {3.54269572571208*^9, 
  3.542695733373433*^9}, {3.542695772400443*^9, 3.542695848814117*^9}, {
  3.542695923292041*^9, 3.542695938585764*^9}, {3.542696013142721*^9, 
  3.542696014350844*^9}, {3.5426960567762613`*^9, 3.542696080535659*^9}, {
  3.542696205083283*^9, 3.542696234354219*^9}, {3.6032776106866913`*^9, 
  3.603277611606124*^9}, {3.603278479452346*^9, 3.603278481549117*^9}, {
  3.603278565323476*^9, 3.603278565803734*^9}},
 CellTags->"Update"]
}, Closed]],

Cell[CellGroupData[{

Cell["Output Elements", "Section",
 CellChangeTimes->{{3.542787851205514*^9, 3.542787851850445*^9}, {
  3.542805606015314*^9, 3.542805606978704*^9}},
 CellTags->"Export"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"graphFlags", "=", 
   RowBox[{"{", 
    RowBox[{
    "boundaryFlag", ",", "gridFlag", ",", "showOrbitsFlag", ",", 
     "latticeFlag", ",", "showVectorsFlag", ",", "labelsFlag", ",", 
     "showRestpointsFlag", ",", "equilibriumFlag"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"graphObjects", "=", 
   RowBox[{"{", 
    RowBox[{
    "boundary", ",", "grid", ",", "orbits", ",", "lattice", ",", "vectors", 
     ",", "labels", ",", "restpoints", ",", "equilibria"}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5422100473371553`*^9, 3.542210125542419*^9}, {
   3.5422101634483843`*^9, 3.5422101846931458`*^9}, {3.542210260889119*^9, 
   3.5422102610815277`*^9}, {3.542210421851594*^9, 3.542210446924858*^9}, {
   3.54221051168928*^9, 3.542210521275467*^9}, {3.5422106834789543`*^9, 
   3.5422107188525457`*^9}, {3.5422124933514643`*^9, 3.542212531953339*^9}, {
   3.5422157208010693`*^9, 3.542215725381175*^9}, 3.542348363668919*^9, 
   3.542349962643664*^9, {3.5424406025648403`*^9, 3.5424406133623466`*^9}, {
   3.542492827687832*^9, 3.542492844904228*^9}, {3.5428042100982*^9, 
   3.54280421809789*^9}},
 CellTags->{"Export", "ExportData", "ExportPlot"}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"graphData", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
      "graphFlags", "\[LeftDoubleBracket]", "iFlag", 
       "\[RightDoubleBracket]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"graphData", "=", 
       RowBox[{"Append", "[", 
        RowBox[{"graphData", ",", 
         RowBox[{
         "graphObjects", "\[LeftDoubleBracket]", "iFlag", 
          "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"iFlag", ",", 
      RowBox[{"Length", "[", "graphFlags", "]"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.542210115670437*^9, 3.542210116512639*^9}, {
   3.542210266054731*^9, 3.542210324975338*^9}, {3.542210458308844*^9, 
   3.5422104732146883`*^9}, {3.5422106104141893`*^9, 
   3.5422107813812037`*^9}, {3.5422108438159657`*^9, 
   3.5422109008860407`*^9}, {3.542210933759728*^9, 3.54221094149096*^9}, {
   3.542212507905261*^9, 3.542212564671123*^9}, {3.542215986912366*^9, 
   3.542215988650399*^9}, {3.542216363050187*^9, 3.542216363221642*^9}, 
   3.54234836366916*^9, 3.5423499626439133`*^9, {3.542804192611027*^9, 
   3.542804205529949*^9}},
 CellTags->{"Export", "ExportData", "ExportPlot"}],

Cell[CellGroupData[{

Cell["Export Data", "Subsection",
 CellChangeTimes->{{3.5428761313805923`*^9, 3.542876132824814*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataFileName", "=", 
   RowBox[{"FileNameJoin", "[", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "\"\<GameSeerData(\>\"", "<>", "\[IndentingNewLine]", "dynamics", "<>", 
       "\[IndentingNewLine]", "\"\<-\>\"", "<>", "\[IndentingNewLine]", 
       RowBox[{"DateString", "[", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Month\>\"", ",", "\"\<Day\>\"", ",", "\"\<Hour\>\"", ",", 
          "\"\<Minute\>\""}], "}"}], "]"}], "<>", "\[IndentingNewLine]", 
       "\"\<).dat\>\""}]}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Save", "[", "\[IndentingNewLine]", 
   RowBox[{"dataFileName", ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "game", ",", "\[IndentingNewLine]", "equilibriumData", ",", 
      "\[IndentingNewLine]", "dynamics", ",", "\[IndentingNewLine]", 
      "SimplexField", ",", "\[IndentingNewLine]", "ScoreField", ",", 
      "\[IndentingNewLine]", "restpointsData", ",", "\[IndentingNewLine]", 
      "latticePoints", ",", "\[IndentingNewLine]", "orbitsData", ",", 
      "\[IndentingNewLine]", "graphData"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.542804237525002*^9, 3.5428042446232033`*^9}, {
   3.54280429974469*^9, 3.542804388462039*^9}, 3.542804434011807*^9, {
   3.542805264377986*^9, 3.5428052652804527`*^9}, {3.542805337134927*^9, 
   3.542805363054344*^9}, {3.542805418646015*^9, 3.542805421867847*^9}, {
   3.5467556519020767`*^9, 3.5467556528198137`*^9}, 3.5680386188975487`*^9},
 CellTags->{"ExportData", "Export"}]
}, Closed]],

Cell[CellGroupData[{

Cell["Export Plot", "Subsection",
 CellChangeTimes->{{3.5428761365926027`*^9, 3.542876141944789*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"outputGraph", "=", 
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{"graphData", ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "600"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Background", "\[Rule]", "White"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameLabel", "\[Rule]", "frameLabel"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
        RowBox[{"FontSize", "\[Rule]", "14"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".02"}], ",", "1.02"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".02"}], ",", "1.02"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotFileName", "=", 
   RowBox[{"FileNameJoin", "[", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "\"\<GameSeerPlot(\>\"", "<>", "\[IndentingNewLine]", "dynamics", "<>", 
       "\[IndentingNewLine]", "\"\<-\>\"", "<>", "\[IndentingNewLine]", 
       RowBox[{"DateString", "[", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Month\>\"", ",", "\"\<Day\>\"", ",", "\"\<Hour\>\"", ",", 
          "\"\<Minute\>\""}], "}"}], "]"}], "<>", "\[IndentingNewLine]", 
       "\"\<).pdf\>\""}]}], "}"}], "]"}]}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{"plotFileName", ",", "outputGraph"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.542804578506391*^9, 3.542804579979508*^9}, {
  3.542804636441456*^9, 3.5428046584766912`*^9}, {3.542804735564869*^9, 
  3.542804739590063*^9}, {3.54280480202142*^9, 3.542804802882928*^9}, {
  3.5428052783265457`*^9, 3.5428052940568333`*^9}, {3.542805395459972*^9, 
  3.542805408242009*^9}, {3.542805450385763*^9, 3.542805452072803*^9}, {
  3.603277613218355*^9, 3.603277614210946*^9}, {3.603278484612132*^9, 
  3.603278485893561*^9}, {3.603278568891087*^9, 3.603278569323935*^9}},
 CellTags->{"ExportPlot", "Export"}]
}, Closed]]
}, Closed]]
},
InitializationCellEvaluation->True,
WindowSize->{760, 846},
WindowMargins->{{40, Automatic}, {Automatic, 0}},
ShowSelection->True,
ShowCellTags->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "GameSeer"->{
  Cell[579, 22, 6404, 111, 19, "Input",
   CellOpen->False,
   CellTags->"GameSeer"],
  Cell[6986, 135, 34334, 735, 1229, "Output",
   CellTags->"GameSeer"]},
 "Update"->{
  Cell[185367, 4364, 119, 2, 49, "Section",
   CellTags->"Update"],
  Cell[185511, 4370, 392, 6, 46, "Subsection",
   CellTags->"Update"],
  Cell[185906, 4378, 830, 22, 55, "Input",
   CellTags->"Update"],
  Cell[186739, 4402, 4293, 95, 220, "Input",
   CellTags->"Update"],
  Cell[191069, 4502, 126, 2, 38, "Subsection",
   CellTags->"Update"],
  Cell[191198, 4506, 780, 19, 39, "Input",
   CellTags->"Update"],
  Cell[192003, 4529, 2071, 40, 100, "Input",
   CellTags->"Update"],
  Cell[194077, 4571, 1581, 27, 52, "Message",
   CellTags->"Update"],
  Cell[195661, 4600, 1581, 27, 52, "Message",
   CellTags->"Update"],
  Cell[197245, 4629, 1600, 27, 35, "Message",
   CellTags->"Update"],
  Cell[198848, 4658, 1581, 27, 52, "Message",
   CellTags->"Update"],
  Cell[200432, 4687, 1666, 28, 35, "Message",
   CellTags->"Update"],
  Cell[202101, 4717, 1601, 27, 35, "Message",
   CellTags->"Update"],
  Cell[203705, 4746, 1607, 27, 35, "Message",
   CellTags->"Update"],
  Cell[205315, 4775, 1591, 27, 35, "Message",
   CellTags->"Update"],
  Cell[206909, 4804, 1607, 27, 35, "Message",
   CellTags->"Update"],
  Cell[208531, 4834, 5369, 113, 400, "Input",
   CellTags->"Update"],
  Cell[213949, 4953, 794, 11, 49, "Section",
   CellTags->"Update"],
  Cell[214768, 4968, 319, 5, 46, "Subsection",
   CellTags->"Update"],
  Cell[215090, 4975, 619, 17, 39, "Input",
   CellTags->"Update"],
  Cell[215712, 4994, 539, 12, 85, "Input",
   CellTags->"Update"],
  Cell[216254, 5008, 2346, 38, 115, "Input",
   CellTags->"Update"],
  Cell[218637, 5051, 117, 2, 38, "Subsection",
   CellTags->"Update"],
  Cell[218757, 5055, 178, 5, 39, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[218938, 5062, 13023, 306, 760, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[231964, 5370, 1002, 26, 55, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[232969, 5398, 841, 26, 55, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[233813, 5426, 889, 26, 55, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[234705, 5454, 2266, 57, 160, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[236974, 5513, 4951, 102, 550, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[241928, 5617, 1107, 32, 85, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[243038, 5651, 13363, 306, 1210, "Input",
   InitializationCell->True,
   CellTags->"Update"],
  Cell[256438, 5962, 220, 4, 38, "Subsection",
   CellTags->"Update"],
  Cell[256661, 5968, 4022, 92, 445, "Input",
   CellTags->"Update"],
  Cell[260720, 6065, 120, 2, 38, "Subsection",
   CellTags->"Update"],
  Cell[260843, 6069, 7762, 172, 655, "Input",
   CellTags->"Update"],
  Cell[268642, 6246, 165, 3, 38, "Subsection",
   CellTags->"Update"],
  Cell[268810, 6251, 1556, 44, 115, "Input",
   CellTags->"Update"],
  Cell[270369, 6297, 2816, 50, 145, "Input",
   CellTags->"Update"],
  Cell[273234, 6353, 175, 3, 49, "Section",
   CellTags->"Update"],
  Cell[273412, 6358, 3583, 74, 415, "Input",
   CellTags->"Update"]},
 "Export"->{
  Cell[277032, 6437, 170, 3, 49, "Section",
   CellTags->"Export"],
  Cell[277205, 6442, 1223, 25, 70, "Input",
   CellTags->{"Export", "ExportData", "ExportPlot"}],
  Cell[278431, 6469, 1388, 32, 115, "Input",
   CellTags->{"Export", "ExportData", "ExportPlot"}],
  Cell[279948, 6508, 1662, 32, 295, "Input",
   CellTags->{"ExportData", "Export"}],
  Cell[281751, 6548, 2313, 50, 250, "Input",
   CellTags->{"ExportPlot", "Export"}]},
 "ExportData"->{
  Cell[277205, 6442, 1223, 25, 70, "Input",
   CellTags->{"Export", "ExportData", "ExportPlot"}],
  Cell[278431, 6469, 1388, 32, 115, "Input",
   CellTags->{"Export", "ExportData", "ExportPlot"}],
  Cell[279948, 6508, 1662, 32, 295, "Input",
   CellTags->{"ExportData", "Export"}]},
 "ExportPlot"->{
  Cell[277205, 6442, 1223, 25, 70, "Input",
   CellTags->{"Export", "ExportData", "ExportPlot"}],
  Cell[278431, 6469, 1388, 32, 115, "Input",
   CellTags->{"Export", "ExportData", "ExportPlot"}],
  Cell[281751, 6548, 2313, 50, 250, "Input",
   CellTags->{"ExportPlot", "Export"}]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"GameSeer", 284474, 6616},
 {"Update", 284646, 6622},
 {"Export", 287762, 6714},
 {"ExportData", 288215, 6725},
 {"ExportPlot", 288515, 6732}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 6404, 111, 19, "Input",
 CellOpen->False,
 CellTags->"GameSeer"],
Cell[6986, 135, 34334, 735, 1229, "Output",
 CellTags->"GameSeer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41357, 875, 400, 6, 67, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[41782, 885, 181, 3, 34, "Subsection",
 InitializationCell->True],
Cell[41966, 890, 652, 19, 43, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[42655, 914, 271, 4, 26, "Subsection",
 InitializationCell->True],
Cell[42929, 920, 344, 8, 27, "Input",
 InitializationCell->True],
Cell[43276, 930, 234, 6, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[43547, 941, 217, 5, 27, "Subsection",
 InitializationCell->True],
Cell[43767, 948, 2708, 80, 104, "Input",
 InitializationCell->True],
Cell[46478, 1030, 2872, 83, 142, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[49387, 1118, 187, 3, 26, "Subsection",
 InitializationCell->True],
Cell[49577, 1123, 2562, 66, 88, "Input",
 InitializationCell->True],
Cell[52142, 1191, 1923, 51, 88, "Input",
 InitializationCell->True],
Cell[54068, 1244, 348, 8, 27, "Input",
 InitializationCell->True],
Cell[54419, 1254, 283, 7, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[54739, 1266, 285, 4, 26, "Subsection",
 InitializationCell->True],
Cell[55027, 1272, 2560, 67, 141, "Input",
 InitializationCell->True],
Cell[57590, 1341, 3321, 88, 146, "Input",
 InitializationCell->True],
Cell[60914, 1431, 372, 8, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[61323, 1444, 137, 2, 26, "Subsection",
 InitializationCell->True],
Cell[61463, 1448, 2264, 66, 88, "Input",
 InitializationCell->True],
Cell[63730, 1516, 1873, 56, 88, "Input",
 InitializationCell->True],
Cell[65606, 1574, 421, 9, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[66064, 1588, 229, 4, 26, "Subsection",
 InitializationCell->True],
Cell[66296, 1594, 1998, 54, 88, "Input",
 InitializationCell->True],
Cell[68297, 1650, 2128, 56, 88, "Input",
 InitializationCell->True],
Cell[70428, 1708, 231, 6, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[70696, 1719, 136, 2, 26, "Subsection",
 InitializationCell->True],
Cell[70835, 1723, 1767, 49, 88, "Input",
 InitializationCell->True],
Cell[72605, 1774, 1465, 42, 88, "Input",
 InitializationCell->True],
Cell[74073, 1818, 298, 7, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[74408, 1830, 131, 2, 26, "Subsection",
 InitializationCell->True],
Cell[74542, 1834, 2646, 77, 88, "Input",
 InitializationCell->True],
Cell[77191, 1913, 2653, 78, 88, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[79881, 1996, 233, 4, 26, "Subsection",
 InitializationCell->True],
Cell[80117, 2002, 2571, 58, 328, "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[82737, 2066, 540, 7, 37, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[83302, 2077, 170, 3, 34, "Subsection",
 InitializationCell->True],
Cell[83475, 2082, 970, 32, 58, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[84482, 2119, 272, 4, 26, "Subsection",
 InitializationCell->True],
Cell[84757, 2125, 713, 14, 58, "Input",
 InitializationCell->True],
Cell[85473, 2141, 660, 17, 43, "Input",
 InitializationCell->True],
Cell[86136, 2160, 723, 20, 73, "Input",
 InitializationCell->True],
Cell[86862, 2182, 816, 18, 73, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[87715, 2205, 453, 7, 26, "Subsection",
 InitializationCell->True],
Cell[88171, 2214, 272, 7, 43, "Input",
 InitializationCell->True],
Cell[88446, 2223, 336, 7, 43, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[88819, 2235, 120, 2, 26, "Subsection",
 InitializationCell->True],
Cell[88942, 2239, 658, 13, 43, "Input",
 InitializationCell->True],
Cell[89603, 2254, 1359, 36, 133, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[90999, 2295, 273, 4, 26, "Subsection",
 InitializationCell->True],
Cell[91275, 2301, 268, 7, 43, "Input",
 InitializationCell->True],
Cell[91546, 2310, 1404, 30, 58, "Input",
 InitializationCell->True],
Cell[92953, 2342, 1273, 23, 73, "Input",
 InitializationCell->True],
Cell[94229, 2367, 967, 16, 43, "Input",
 InitializationCell->True],
Cell[95199, 2385, 407, 10, 43, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[95643, 2400, 224, 4, 26, "Subsection",
 InitializationCell->True],
Cell[95870, 2406, 262, 7, 43, "Input",
 InitializationCell->True],
Cell[96135, 2415, 410, 11, 43, "Input",
 InitializationCell->True],
Cell[96548, 2428, 580, 11, 43, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[97165, 2444, 132, 2, 26, "Subsection",
 InitializationCell->True],
Cell[97300, 2448, 427, 11, 58, "Input",
 InitializationCell->True],
Cell[97730, 2461, 647, 12, 43, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[98414, 2478, 126, 2, 26, "Subsection",
 InitializationCell->True],
Cell[98543, 2482, 572, 15, 73, "Input",
 InitializationCell->True],
Cell[99118, 2499, 482, 10, 27, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[99637, 2514, 468, 7, 26, "Subsection",
 InitializationCell->True],
Cell[100108, 2523, 556, 15, 73, "Input",
 InitializationCell->True],
Cell[100667, 2540, 522, 15, 58, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[101226, 2560, 122, 2, 26, "Subsection",
 InitializationCell->True],
Cell[101351, 2564, 413, 10, 58, "Input",
 InitializationCell->True],
Cell[101767, 2576, 1373, 23, 58, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[103177, 2604, 222, 4, 26, "Subsection",
 InitializationCell->True],
Cell[103402, 2610, 4116, 82, 343, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[107555, 2697, 424, 6, 26, "Subsection",
 InitializationCell->True],
Cell[107982, 2705, 853, 18, 43, "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[108884, 2729, 124, 2, 37, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[109033, 2735, 232, 4, 34, "Subsection",
 InitializationCell->True],
Cell[109268, 2741, 2045, 37, 133, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[111350, 2783, 172, 3, 26, "Subsection",
 InitializationCell->True],
Cell[111525, 2788, 4681, 97, 223, "Input",
 InitializationCell->True,
 CellID->1399983455],
Cell[116209, 2887, 4008, 87, 223, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[120254, 2979, 226, 4, 26, "Subsection",
 InitializationCell->True],
Cell[120483, 2985, 5117, 102, 313, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[125637, 3092, 233, 4, 26, "Subsection",
 InitializationCell->True],
Cell[125873, 3098, 948, 21, 88, "Input",
 InitializationCell->True],
Cell[126824, 3121, 1291, 29, 88, "Input",
 InitializationCell->True],
Cell[128118, 3152, 1605, 35, 163, "Input",
 InitializationCell->True],
Cell[129726, 3189, 7096, 136, 553, "Input",
 InitializationCell->True],
Cell[136825, 3327, 1281, 23, 88, "Input",
 InitializationCell->True],
Cell[138109, 3352, 4720, 93, 268, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[142866, 3450, 384, 6, 26, "Subsection",
 InitializationCell->True],
Cell[143253, 3458, 666, 14, 27, "Input",
 InitializationCell->True],
Cell[143922, 3474, 697, 15, 27, "Input",
 InitializationCell->True],
Cell[144622, 3491, 500, 11, 27, "Input",
 InitializationCell->True],
Cell[145125, 3504, 1252, 31, 103, "Input",
 InitializationCell->True],
Cell[146380, 3537, 4887, 88, 418, "Input",
 InitializationCell->True],
Cell[151270, 3627, 3488, 73, 298, "Input",
 InitializationCell->True],
Cell[154761, 3702, 5975, 91, 163, "Input",
 InitializationCell->True],
Cell[160739, 3795, 3715, 78, 313, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[164491, 3878, 181, 3, 26, "Subsection",
 InitializationCell->True],
Cell[164675, 3883, 3462, 69, 222, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[168174, 3957, 580, 8, 26, "Subsection",
 InitializationCell->True],
Cell[168757, 3967, 4989, 122, 373, "Input",
 InitializationCell->True],
Cell[173749, 4091, 1751, 36, 178, "Input",
 InitializationCell->True],
Cell[175503, 4129, 1752, 36, 178, "Input",
 InitializationCell->True],
Cell[177258, 4167, 2890, 59, 298, "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[180197, 4232, 655, 10, 37, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[180877, 4246, 123, 2, 34, "Subsection",
 InitializationCell->True],
Cell[181003, 4250, 641, 21, 43, "Input",
 InitializationCell->True],
Cell[181647, 4273, 1261, 23, 58, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[182945, 4301, 126, 2, 26, "Subsection",
 InitializationCell->True],
Cell[183074, 4305, 2244, 53, 178, "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[185367, 4364, 119, 2, 49, "Section",
 CellTags->"Update"],
Cell[CellGroupData[{
Cell[185511, 4370, 392, 6, 46, "Subsection",
 CellTags->"Update"],
Cell[185906, 4378, 830, 22, 55, "Input",
 CellTags->"Update"],
Cell[186739, 4402, 4293, 95, 220, "Input",
 CellTags->"Update"]
}, Closed]],
Cell[CellGroupData[{
Cell[191069, 4502, 126, 2, 38, "Subsection",
 CellTags->"Update"],
Cell[191198, 4506, 780, 19, 39, "Input",
 CellTags->"Update"],
Cell[CellGroupData[{
Cell[192003, 4529, 2071, 40, 100, "Input",
 CellTags->"Update"],
Cell[194077, 4571, 1581, 27, 52, "Message",
 CellTags->"Update"],
Cell[195661, 4600, 1581, 27, 52, "Message",
 CellTags->"Update"],
Cell[197245, 4629, 1600, 27, 35, "Message",
 CellTags->"Update"],
Cell[198848, 4658, 1581, 27, 52, "Message",
 CellTags->"Update"],
Cell[200432, 4687, 1666, 28, 35, "Message",
 CellTags->"Update"],
Cell[202101, 4717, 1601, 27, 35, "Message",
 CellTags->"Update"],
Cell[203705, 4746, 1607, 27, 35, "Message",
 CellTags->"Update"],
Cell[205315, 4775, 1591, 27, 35, "Message",
 CellTags->"Update"],
Cell[206909, 4804, 1607, 27, 35, "Message",
 CellTags->"Update"]
}, Open  ]],
Cell[208531, 4834, 5369, 113, 400, "Input",
 CellTags->"Update"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[213949, 4953, 794, 11, 49, "Section",
 CellTags->"Update"],
Cell[CellGroupData[{
Cell[214768, 4968, 319, 5, 46, "Subsection",
 CellTags->"Update"],
Cell[215090, 4975, 619, 17, 39, "Input",
 CellTags->"Update"],
Cell[215712, 4994, 539, 12, 85, "Input",
 CellTags->"Update"],
Cell[216254, 5008, 2346, 38, 115, "Input",
 CellTags->"Update"]
}, Closed]],
Cell[CellGroupData[{
Cell[218637, 5051, 117, 2, 38, "Subsection",
 CellTags->"Update"],
Cell[218757, 5055, 178, 5, 39, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[218938, 5062, 13023, 306, 760, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[231964, 5370, 1002, 26, 55, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[232969, 5398, 841, 26, 55, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[233813, 5426, 889, 26, 55, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[234705, 5454, 2266, 57, 160, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[236974, 5513, 4951, 102, 550, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[241928, 5617, 1107, 32, 85, "Input",
 InitializationCell->True,
 CellTags->"Update"],
Cell[243038, 5651, 13363, 306, 1210, "Input",
 InitializationCell->True,
 CellTags->"Update"]
}, Closed]],
Cell[CellGroupData[{
Cell[256438, 5962, 220, 4, 38, "Subsection",
 CellTags->"Update"],
Cell[256661, 5968, 4022, 92, 445, "Input",
 CellTags->"Update"]
}, Closed]],
Cell[CellGroupData[{
Cell[260720, 6065, 120, 2, 38, "Subsection",
 CellTags->"Update"],
Cell[260843, 6069, 7762, 172, 655, "Input",
 CellTags->"Update"]
}, Closed]],
Cell[CellGroupData[{
Cell[268642, 6246, 165, 3, 38, "Subsection",
 CellTags->"Update"],
Cell[268810, 6251, 1556, 44, 115, "Input",
 CellTags->"Update"],
Cell[270369, 6297, 2816, 50, 145, "Input",
 CellTags->"Update"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[273234, 6353, 175, 3, 49, "Section",
 CellTags->"Update"],
Cell[273412, 6358, 3583, 74, 415, "Input",
 CellTags->"Update"]
}, Closed]],
Cell[CellGroupData[{
Cell[277032, 6437, 170, 3, 49, "Section",
 CellTags->"Export"],
Cell[277205, 6442, 1223, 25, 70, "Input",
 CellTags->{"Export", "ExportData", "ExportPlot"}],
Cell[278431, 6469, 1388, 32, 115, "Input",
 CellTags->{"Export", "ExportData", "ExportPlot"}],
Cell[CellGroupData[{
Cell[279844, 6505, 101, 1, 34, "Subsection"],
Cell[279948, 6508, 1662, 32, 295, "Input",
 CellTags->{"ExportData", "Export"}]
}, Closed]],
Cell[CellGroupData[{
Cell[281647, 6545, 101, 1, 26, "Subsection"],
Cell[281751, 6548, 2313, 50, 250, "Input",
 CellTags->{"ExportPlot", "Export"}]
}, Closed]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
